For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
WebsiteStatusSupportDashboard
DocumentationAPI ReferenceMCPSDKsCLI (new)What's New?
DocumentationAPI ReferenceMCPSDKsCLI (new)What's New?
  • Assistants
    • GETList Assistants
    • POSTCreate Assistant
    • GETGet Assistant
    • DELDelete Assistant
    • PATCHUpdate Assistant
  • Squads
    • GETList Squads
    • POSTCreate Squad
    • GETGet Squad
    • DELDelete Squad
    • PATCHUpdate Squad
  • Calls
    • GETList Calls
    • POSTCreate Call
    • GETGet Call
    • DELDelete Call
    • PATCHUpdate Call
  • Chats
    • GETList Chats
    • POSTCreate Chat
    • GETGet Chat
    • DELDelete Chat
    • POSTCreate Chat (OpenAI Compatible)
  • Campaigns
    • GETList Campaigns
    • POSTCreate Campaign
    • GETGet Campaign
    • DELDelete Campaign
    • PATCHUpdate Campaign
  • Sessions
    • GETList Sessions
    • POSTCreate Session
    • GETGet Session
    • DELDelete Session
    • PATCHUpdate Session
  • Phone Numbers
    • GETList Phone Numbers
    • POSTCreate Phone Number
    • GETList Phone Numbers
    • GETGet Phone Number
    • DELDelete Phone Number
    • PATCHUpdate Phone Number
  • Tools
    • GETList Tools
    • POSTCreate Tool
    • GETGet Tool
    • DELDelete Tool
    • PATCHUpdate Tool
  • Files
    • GETList Files
    • POSTUpload File
    • GETGet File
    • DELDelete File
    • PATCHUpdate File
  • Structured Outputs
    • GETList Structured Outputs
    • POSTCreate Structured Output
    • GETGet Structured Output
    • DELDelete Structured Output
    • PATCHUpdate Structured Output
    • POSTRun Structured Output
  • Insight
    • GETGet Insights
    • POSTCreate Insight
    • GETGet Insight
    • DELDelete Insight
    • PATCHUpdate Insight
    • POSTRun Insight
    • POSTPreview Insight
  • Eval
    • GETList Evals
    • POSTCreate Eval
    • GETGet Eval
    • DELDelete Eval
    • PATCHUpdate Eval
    • GETGet Eval Run
    • DELDelete Eval Run
    • GETList Eval Runs
    • POSTCreate Eval Run
  • Observability Scorecard
    • GETGet Scorecard
    • DELDelete Scorecard
    • PATCHUpdate Scorecard
    • GETList Scorecards
    • POSTCreate Scorecard
  • Provider Resources
    • GETList Provider Resources
    • POSTCreate Provider Resource
    • GETGet Provider Resource
    • DELDelete Provider Resource
    • PATCHUpdate Provider Resource
  • Analytics
    • POSTCreate Analytics Queries
  • Webhooks
    • POSTServer Message
    • POSTClient Message
    • Swagger
    • OpenAPI
LogoLogo
WebsiteStatusSupportDashboard
Calls

Create Call

POST
https://api.vapi.ai/call
POST
/call
$curl -X POST https://api.vapi.ai/call \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
201Created
1{
2 "type": "inboundPhoneCall",
3 "costs": [
4 {
5 "type": "transport",
6 "provider": "daily",
7 "minutes": 1.1,
8 "cost": 1.1
9 }
10 ],
11 "messages": [
12 {
13 "role": "string",
14 "message": "string",
15 "time": 1.1,
16 "endTime": 1.1,
17 "secondsFromStart": 1.1,
18 "duration": 1.1,
19 "isFiltered": true,
20 "detectedThreats": [
21 "string"
22 ],
23 "originalMessage": "string",
24 "metadata": {},
25 "speakerLabel": "string"
26 }
27 ],
28 "phoneCallProvider": "twilio",
29 "phoneCallTransport": "sip",
30 "status": "scheduled",
31 "endedReason": "call-start-error-neither-assistant-nor-server-set",
32 "endedMessage": "string",
33 "destination": {
34 "message": "string",
35 "type": "number",
36 "numberE164CheckEnabled": true,
37 "number": "string",
38 "extension": "string",
39 "callerId": "string",
40 "transferPlan": {
41 "mode": "blind-transfer",
42 "message": "string",
43 "timeout": 60,
44 "sipVerb": "refer",
45 "dialTimeout": 60,
46 "holdAudioUrl": "string",
47 "transferCompleteAudioUrl": "string",
48 "contextEngineeringPlan": {
49 "type": "lastNMessages",
50 "maxMessages": 1.1
51 },
52 "twiml": "string",
53 "summaryPlan": {
54 "messages": [
55 {}
56 ],
57 "enabled": true,
58 "timeoutSeconds": 1.1
59 },
60 "sipHeadersInReferToEnabled": true,
61 "fallbackPlan": {
62 "message": "string",
63 "endCallEnabled": true
64 }
65 },
66 "description": "string"
67 },
68 "id": "string",
69 "orgId": "string",
70 "createdAt": "2024-01-15T09:30:00Z",
71 "updatedAt": "2024-01-15T09:30:00Z",
72 "startedAt": "2024-01-15T09:30:00Z",
73 "endedAt": "2024-01-15T09:30:00Z",
74 "cost": 1.1,
75 "costBreakdown": {
76 "transport": 1.1,
77 "stt": 1.1,
78 "llm": 1.1,
79 "tts": 1.1,
80 "vapi": 1.1,
81 "chat": 1.1,
82 "total": 1.1,
83 "llmPromptTokens": 1.1,
84 "llmCompletionTokens": 1.1,
85 "llmCachedPromptTokens": 1.1,
86 "ttsCharacters": 1.1,
87 "analysisCostBreakdown": {
88 "summary": 1.1,
89 "summaryPromptTokens": 1.1,
90 "summaryCompletionTokens": 1.1,
91 "summaryCachedPromptTokens": 1.1,
92 "structuredData": 1.1,
93 "structuredDataPromptTokens": 1.1,
94 "structuredDataCompletionTokens": 1.1,
95 "structuredDataCachedPromptTokens": 1.1,
96 "successEvaluation": 1.1,
97 "successEvaluationPromptTokens": 1.1,
98 "successEvaluationCompletionTokens": 1.1,
99 "successEvaluationCachedPromptTokens": 1.1,
100 "structuredOutput": 1.1,
101 "structuredOutputPromptTokens": 1.1,
102 "structuredOutputCompletionTokens": 1.1,
103 "structuredOutputCachedPromptTokens": 1.1
104 }
105 },
106 "artifactPlan": {
107 "recordingEnabled": true,
108 "recordingFormat": "wav;l16",
109 "recordingUseCustomStorageEnabled": true,
110 "videoRecordingEnabled": false,
111 "fullMessageHistoryEnabled": false,
112 "pcapEnabled": true,
113 "pcapS3PathPrefix": "/pcaps",
114 "pcapUseCustomStorageEnabled": true,
115 "loggingEnabled": true,
116 "loggingUseCustomStorageEnabled": true,
117 "transcriptPlan": {
118 "enabled": true,
119 "assistantName": "string",
120 "userName": "string"
121 },
122 "recordingPath": "string",
123 "structuredOutputIds": [
124 "string"
125 ],
126 "structuredOutputs": [
127 {
128 "type": "ai",
129 "regex": "string",
130 "model": {
131 "provider": "openai",
132 "model": "gpt-5.4",
133 "temperature": 1.1,
134 "maxTokens": 5030
135 },
136 "compliancePlan": {
137 "forceStoreOnHipaaEnabled": false
138 },
139 "name": "string",
140 "schema": {
141 "type": "string",
142 "items": {
143 "type": "string",
144 "items": {
145 "type": "string",
146 "items": {
147 "type": "string",
148 "items": {
149 "type": "string",
150 "items": {
151 "type": "string",
152 "items": {
153 "type": "string",
154 "items": {
155 "type": "string",
156 "items": {
157 "type": {},
158 "items": {},
159 "properties": {},
160 "description": {},
161 "pattern": {},
162 "format": {},
163 "required": {},
164 "enum": {},
165 "title": {}
166 },
167 "properties": {},
168 "description": "string",
169 "pattern": "string",
170 "format": "date-time",
171 "required": [
172 "string"
173 ],
174 "enum": [
175 "string"
176 ],
177 "title": "string"
178 },
179 "properties": {},
180 "description": "string",
181 "pattern": "string",
182 "format": "date-time",
183 "required": [
184 "string"
185 ],
186 "enum": [
187 "string"
188 ],
189 "title": "string"
190 },
191 "properties": {},
192 "description": "string",
193 "pattern": "string",
194 "format": "date-time",
195 "required": [
196 "string"
197 ],
198 "enum": [
199 "string"
200 ],
201 "title": "string"
202 },
203 "properties": {},
204 "description": "string",
205 "pattern": "string",
206 "format": "date-time",
207 "required": [
208 "string"
209 ],
210 "enum": [
211 "string"
212 ],
213 "title": "string"
214 },
215 "properties": {},
216 "description": "string",
217 "pattern": "string",
218 "format": "date-time",
219 "required": [
220 "string"
221 ],
222 "enum": [
223 "string"
224 ],
225 "title": "string"
226 },
227 "properties": {},
228 "description": "string",
229 "pattern": "string",
230 "format": "date-time",
231 "required": [
232 "string"
233 ],
234 "enum": [
235 "string"
236 ],
237 "title": "string"
238 },
239 "properties": {},
240 "description": "string",
241 "pattern": "string",
242 "format": "date-time",
243 "required": [
244 "string"
245 ],
246 "enum": [
247 "string"
248 ],
249 "title": "string"
250 },
251 "properties": {},
252 "description": "string",
253 "pattern": "string",
254 "format": "date-time",
255 "required": [
256 "string"
257 ],
258 "enum": [
259 "string"
260 ],
261 "title": "string"
262 },
263 "description": "string",
264 "assistantIds": [
265 "string"
266 ],
267 "workflowIds": [
268 "string"
269 ]
270 }
271 ],
272 "scorecardIds": [
273 "string"
274 ],
275 "scorecards": [
276 {
277 "name": "string",
278 "description": "string",
279 "metrics": [
280 {
281 "structuredOutputId": "string",
282 "conditions": [
283 {}
284 ]
285 }
286 ],
287 "assistantIds": [
288 "string"
289 ]
290 }
291 ],
292 "loggingPath": "string"
293 },
294 "analysis": {
295 "summary": "string",
296 "structuredData": {},
297 "structuredDataMulti": [
298 {}
299 ],
300 "successEvaluation": "string"
301 },
302 "monitor": {
303 "monitors": [
304 {
305 "monitorId": "string",
306 "filterPassed": true
307 }
308 ],
309 "listenUrl": "string",
310 "controlUrl": "string"
311 },
312 "artifact": {
313 "messages": [
314 {
315 "role": "string",
316 "message": "string",
317 "time": 1.1,
318 "endTime": 1.1,
319 "secondsFromStart": 1.1,
320 "duration": 1.1,
321 "isFiltered": true,
322 "detectedThreats": [
323 "string"
324 ],
325 "originalMessage": "string",
326 "metadata": {},
327 "speakerLabel": "string"
328 }
329 ],
330 "messagesOpenAIFormatted": [
331 {
332 "content": "string",
333 "role": "assistant"
334 }
335 ],
336 "recordingUrl": "string",
337 "stereoRecordingUrl": "string",
338 "videoRecordingUrl": "string",
339 "videoRecordingStartDelaySeconds": 1.1,
340 "recording": {
341 "stereoUrl": "string",
342 "videoUrl": "string",
343 "videoRecordingStartDelaySeconds": 1.1,
344 "mono": {
345 "combinedUrl": "string",
346 "assistantUrl": "string",
347 "customerUrl": "string"
348 }
349 },
350 "transcript": "string",
351 "pcapUrl": "string",
352 "logUrl": "string",
353 "nodes": [
354 {
355 "messages": [
356 {
357 "role": "string",
358 "message": "string",
359 "time": 1.1,
360 "endTime": 1.1,
361 "secondsFromStart": 1.1,
362 "duration": 1.1,
363 "isFiltered": true,
364 "detectedThreats": [
365 "string"
366 ],
367 "originalMessage": "string",
368 "metadata": {},
369 "speakerLabel": "string"
370 }
371 ],
372 "nodeName": "string",
373 "variableValues": {}
374 }
375 ],
376 "assistantActivations": [
377 {
378 "assistantName": "string",
379 "assistantId": "string"
380 }
381 ],
382 "variableValues": {},
383 "performanceMetrics": {
384 "turnLatencies": [
385 {
386 "modelLatency": 1.1,
387 "voiceLatency": 1.1,
388 "transcriberLatency": 1.1,
389 "endpointingLatency": 1.1,
390 "turnLatency": 1.1
391 }
392 ],
393 "modelLatencyAverage": 1.1,
394 "voiceLatencyAverage": 1.1,
395 "transcriberLatencyAverage": 1.1,
396 "endpointingLatencyAverage": 1.1,
397 "turnLatencyAverage": 1.1,
398 "fromTransportLatencyAverage": 1.1,
399 "toTransportLatencyAverage": 1.1,
400 "numUserInterrupted": 1.1,
401 "numAssistantInterrupted": 1.1
402 },
403 "structuredOutputs": {},
404 "scorecards": {},
405 "transfers": [
406 "string"
407 ],
408 "structuredOutputsLastUpdatedAt": "2024-01-15T09:30:00Z"
409 },
410 "compliance": {
411 "recordingConsent": {
412 "type": {},
413 "grantedAt": "2024-01-15T09:30:00Z"
414 }
415 },
416 "phoneCallProviderId": "string",
417 "campaignId": "string",
418 "assistantId": "string",
419 "assistant": {
420 "transcriber": {
421 "provider": "assembly-ai",
422 "language": "multi",
423 "confidenceThreshold": 0.4,
424 "formatTurns": true,
425 "endOfTurnConfidenceThreshold": 0.7,
426 "minEndOfTurnSilenceWhenConfident": 160,
427 "wordFinalizationMaxWaitTime": 160,
428 "maxTurnSilence": 400,
429 "vadAssistedEndpointingEnabled": true,
430 "speechModel": "universal-streaming-english",
431 "realtimeUrl": "string",
432 "wordBoost": [
433 "string"
434 ],
435 "keytermsPrompt": [
436 "string"
437 ],
438 "endUtteranceSilenceThreshold": 1.1,
439 "disablePartialTranscripts": true,
440 "fallbackPlan": {
441 "transcribers": [
442 {
443 "provider": "assembly-ai",
444 "language": "multi",
445 "confidenceThreshold": 0.4,
446 "formatTurns": true,
447 "endOfTurnConfidenceThreshold": 0.7,
448 "minEndOfTurnSilenceWhenConfident": 160,
449 "wordFinalizationMaxWaitTime": 160,
450 "maxTurnSilence": 400,
451 "vadAssistedEndpointingEnabled": true,
452 "speechModel": "universal-streaming-english",
453 "realtimeUrl": "string",
454 "wordBoost": [
455 "string"
456 ],
457 "keytermsPrompt": [
458 "string"
459 ],
460 "endUtteranceSilenceThreshold": 1.1,
461 "disablePartialTranscripts": true
462 }
463 ]
464 }
465 },
466 "model": {
467 "messages": [
468 {
469 "content": "string",
470 "role": "assistant"
471 }
472 ],
473 "tools": [
474 {
475 "messages": [
476 {
477 "contents": [
478 {
479 "type": "text",
480 "text": "string",
481 "language": "aa"
482 }
483 ],
484 "type": "request-start",
485 "blocking": false,
486 "content": "string",
487 "conditions": [
488 {
489 "operator": "eq",
490 "param": "string",
491 "value": "string"
492 }
493 ]
494 }
495 ],
496 "type": "apiRequest",
497 "method": "POST",
498 "timeoutSeconds": 20,
499 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
500 "encryptedPaths": [
501 "string"
502 ],
503 "parameters": [
504 {
505 "key": "string",
506 "value": {}
507 }
508 ],
509 "name": "string",
510 "description": "string",
511 "url": "string",
512 "body": {
513 "type": "string",
514 "items": {
515 "type": "string",
516 "items": {
517 "type": "string",
518 "items": {
519 "type": "string",
520 "items": {
521 "type": "string",
522 "items": {
523 "type": {},
524 "items": {},
525 "properties": {},
526 "description": {},
527 "pattern": {},
528 "format": {},
529 "required": {},
530 "enum": {},
531 "title": {}
532 },
533 "properties": {},
534 "description": "string",
535 "pattern": "string",
536 "format": "date-time",
537 "required": [
538 "string"
539 ],
540 "enum": [
541 "string"
542 ],
543 "title": "string"
544 },
545 "properties": {},
546 "description": "string",
547 "pattern": "string",
548 "format": "date-time",
549 "required": [
550 "string"
551 ],
552 "enum": [
553 "string"
554 ],
555 "title": "string"
556 },
557 "properties": {},
558 "description": "string",
559 "pattern": "string",
560 "format": "date-time",
561 "required": [
562 "string"
563 ],
564 "enum": [
565 "string"
566 ],
567 "title": "string"
568 },
569 "properties": {},
570 "description": "string",
571 "pattern": "string",
572 "format": "date-time",
573 "required": [
574 "string"
575 ],
576 "enum": [
577 "string"
578 ],
579 "title": "string"
580 },
581 "properties": {},
582 "description": "string",
583 "pattern": "string",
584 "format": "date-time",
585 "required": [
586 "string"
587 ],
588 "enum": [
589 "string"
590 ],
591 "title": "string"
592 },
593 "headers": {
594 "type": "string",
595 "items": {
596 "type": "string",
597 "items": {
598 "type": "string",
599 "items": {
600 "type": "string",
601 "items": {
602 "type": "string",
603 "items": {
604 "type": {},
605 "items": {},
606 "properties": {},
607 "description": {},
608 "pattern": {},
609 "format": {},
610 "required": {},
611 "enum": {},
612 "title": {}
613 },
614 "properties": {},
615 "description": "string",
616 "pattern": "string",
617 "format": "date-time",
618 "required": [
619 "string"
620 ],
621 "enum": [
622 "string"
623 ],
624 "title": "string"
625 },
626 "properties": {},
627 "description": "string",
628 "pattern": "string",
629 "format": "date-time",
630 "required": [
631 "string"
632 ],
633 "enum": [
634 "string"
635 ],
636 "title": "string"
637 },
638 "properties": {},
639 "description": "string",
640 "pattern": "string",
641 "format": "date-time",
642 "required": [
643 "string"
644 ],
645 "enum": [
646 "string"
647 ],
648 "title": "string"
649 },
650 "properties": {},
651 "description": "string",
652 "pattern": "string",
653 "format": "date-time",
654 "required": [
655 "string"
656 ],
657 "enum": [
658 "string"
659 ],
660 "title": "string"
661 },
662 "properties": {},
663 "description": "string",
664 "pattern": "string",
665 "format": "date-time",
666 "required": [
667 "string"
668 ],
669 "enum": [
670 "string"
671 ],
672 "title": "string"
673 },
674 "backoffPlan": {
675 "type": "fixed",
676 "maxRetries": 0,
677 "baseDelaySeconds": 1,
678 "excludedStatusCodes": [
679 400,
680 401,
681 403,
682 404
683 ]
684 },
685 "variableExtractionPlan": {
686 "schema": {
687 "type": "string",
688 "items": {
689 "type": "string",
690 "items": {
691 "type": "string",
692 "items": {
693 "type": "string",
694 "items": {
695 "type": {},
696 "items": {},
697 "properties": {},
698 "description": {},
699 "pattern": {},
700 "format": {},
701 "required": {},
702 "enum": {},
703 "title": {}
704 },
705 "properties": {},
706 "description": "string",
707 "pattern": "string",
708 "format": "date-time",
709 "required": [
710 "string"
711 ],
712 "enum": [
713 "string"
714 ],
715 "title": "string"
716 },
717 "properties": {},
718 "description": "string",
719 "pattern": "string",
720 "format": "date-time",
721 "required": [
722 "string"
723 ],
724 "enum": [
725 "string"
726 ],
727 "title": "string"
728 },
729 "properties": {},
730 "description": "string",
731 "pattern": "string",
732 "format": "date-time",
733 "required": [
734 "string"
735 ],
736 "enum": [
737 "string"
738 ],
739 "title": "string"
740 },
741 "properties": {},
742 "description": "string",
743 "pattern": "string",
744 "format": "date-time",
745 "required": [
746 "string"
747 ],
748 "enum": [
749 "string"
750 ],
751 "title": "string"
752 },
753 "aliases": [
754 {
755 "key": "string",
756 "value": "string"
757 }
758 ]
759 },
760 "rejectionPlan": {
761 "conditions": [
762 {
763 "type": "regex",
764 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
765 }
766 ]
767 }
768 }
769 ],
770 "toolIds": [
771 "string"
772 ],
773 "knowledgeBase": {
774 "provider": "custom-knowledge-base",
775 "server": {
776 "timeoutSeconds": 20,
777 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
778 "staticIpAddressesEnabled": false,
779 "encryptedPaths": [
780 "string"
781 ],
782 "url": "string",
783 "headers": {},
784 "backoffPlan": {
785 "type": "fixed",
786 "maxRetries": 0,
787 "baseDelaySeconds": 1,
788 "excludedStatusCodes": [
789 400,
790 401,
791 403,
792 404
793 ]
794 }
795 }
796 },
797 "model": "claude-3-opus-20240229",
798 "provider": "anthropic",
799 "thinking": {
800 "type": "enabled",
801 "budgetTokens": 50500
802 },
803 "temperature": 1.1,
804 "maxTokens": 5030,
805 "emotionRecognitionEnabled": true,
806 "numFastTurns": 1.1
807 },
808 "voice": {
809 "cachingEnabled": true,
810 "provider": "azure",
811 "voiceId": "andrew",
812 "chunkPlan": {
813 "enabled": true,
814 "minCharacters": 30,
815 "punctuationBoundaries": "。",
816 "formatPlan": {
817 "enabled": true,
818 "numberToDigitsCutoff": 2025,
819 "replacements": [
820 {
821 "type": "exact",
822 "replaceAllEnabled": false,
823 "key": "string",
824 "value": "string"
825 }
826 ],
827 "formattersEnabled": "markdown"
828 }
829 },
830 "speed": 1.1,
831 "fallbackPlan": {
832 "voices": [
833 {
834 "cachingEnabled": true,
835 "provider": "azure",
836 "voiceId": "andrew",
837 "speed": 1.1,
838 "chunkPlan": {
839 "enabled": true,
840 "minCharacters": 30,
841 "punctuationBoundaries": "。",
842 "formatPlan": {
843 "enabled": true,
844 "numberToDigitsCutoff": 2025,
845 "replacements": [
846 {
847 "type": "exact",
848 "replaceAllEnabled": false,
849 "key": "string",
850 "value": "string"
851 }
852 ],
853 "formattersEnabled": "markdown"
854 }
855 },
856 "oneOf": null
857 }
858 ]
859 }
860 },
861 "firstMessage": "Hello! How can I help you today?",
862 "firstMessageInterruptionsEnabled": false,
863 "firstMessageMode": "assistant-speaks-first",
864 "voicemailDetection": "off",
865 "clientMessages": "conversation-update",
866 "serverMessages": "assistant.started",
867 "maxDurationSeconds": 600,
868 "backgroundSound": "off",
869 "modelOutputInMessagesEnabled": false,
870 "transportConfigurations": [
871 {
872 "provider": "twilio",
873 "timeout": 60,
874 "record": false,
875 "recordingChannels": "mono"
876 }
877 ],
878 "observabilityPlan": {
879 "provider": "langfuse",
880 "promptName": "string",
881 "promptVersion": 1.1,
882 "traceName": "string",
883 "tags": [
884 "string"
885 ],
886 "metadata": {}
887 },
888 "credentials": [
889 {
890 "provider": "anthropic",
891 "apiKey": "string",
892 "name": "string"
893 }
894 ],
895 "hooks": [
896 {
897 "on": "call.ending",
898 "do": [
899 {
900 "type": "tool",
901 "tool": {
902 "messages": [
903 {
904 "contents": [
905 {
906 "type": {},
907 "text": {},
908 "language": {}
909 }
910 ],
911 "type": "request-start",
912 "blocking": false,
913 "content": "string",
914 "conditions": [
915 {
916 "operator": "eq",
917 "param": "string",
918 "value": "string"
919 }
920 ]
921 }
922 ],
923 "type": "apiRequest",
924 "method": "POST",
925 "timeoutSeconds": 20,
926 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
927 "encryptedPaths": [
928 "string"
929 ],
930 "parameters": [
931 {
932 "key": "string",
933 "value": {}
934 }
935 ],
936 "name": "string",
937 "description": "string",
938 "url": "string",
939 "body": {
940 "type": "string",
941 "items": {
942 "type": "string",
943 "items": {
944 "type": "string",
945 "items": {
946 "type": {},
947 "items": {},
948 "properties": {},
949 "description": {},
950 "pattern": {},
951 "format": {},
952 "required": {},
953 "enum": {},
954 "title": {}
955 },
956 "properties": {},
957 "description": "string",
958 "pattern": "string",
959 "format": "date-time",
960 "required": [
961 "string"
962 ],
963 "enum": [
964 "string"
965 ],
966 "title": "string"
967 },
968 "properties": {},
969 "description": "string",
970 "pattern": "string",
971 "format": "date-time",
972 "required": [
973 "string"
974 ],
975 "enum": [
976 "string"
977 ],
978 "title": "string"
979 },
980 "properties": {},
981 "description": "string",
982 "pattern": "string",
983 "format": "date-time",
984 "required": [
985 "string"
986 ],
987 "enum": [
988 "string"
989 ],
990 "title": "string"
991 },
992 "headers": {
993 "type": "string",
994 "items": {
995 "type": "string",
996 "items": {
997 "type": "string",
998 "items": {
999 "type": {},
1000 "items": {},
1001 "properties": {},
1002 "description": {},
1003 "pattern": {},
1004 "format": {},
1005 "required": {},
1006 "enum": {},
1007 "title": {}
1008 },
1009 "properties": {},
1010 "description": "string",
1011 "pattern": "string",
1012 "format": "date-time",
1013 "required": [
1014 "string"
1015 ],
1016 "enum": [
1017 "string"
1018 ],
1019 "title": "string"
1020 },
1021 "properties": {},
1022 "description": "string",
1023 "pattern": "string",
1024 "format": "date-time",
1025 "required": [
1026 "string"
1027 ],
1028 "enum": [
1029 "string"
1030 ],
1031 "title": "string"
1032 },
1033 "properties": {},
1034 "description": "string",
1035 "pattern": "string",
1036 "format": "date-time",
1037 "required": [
1038 "string"
1039 ],
1040 "enum": [
1041 "string"
1042 ],
1043 "title": "string"
1044 },
1045 "backoffPlan": {
1046 "type": "fixed",
1047 "maxRetries": 0,
1048 "baseDelaySeconds": 1,
1049 "excludedStatusCodes": [
1050 400,
1051 401,
1052 403,
1053 404
1054 ]
1055 },
1056 "variableExtractionPlan": {
1057 "schema": {
1058 "type": "string",
1059 "items": {
1060 "type": "string",
1061 "items": {
1062 "type": {},
1063 "items": {},
1064 "properties": {},
1065 "description": {},
1066 "pattern": {},
1067 "format": {},
1068 "required": {},
1069 "enum": {},
1070 "title": {}
1071 },
1072 "properties": {},
1073 "description": "string",
1074 "pattern": "string",
1075 "format": "date-time",
1076 "required": [
1077 "string"
1078 ],
1079 "enum": [
1080 "string"
1081 ],
1082 "title": "string"
1083 },
1084 "properties": {},
1085 "description": "string",
1086 "pattern": "string",
1087 "format": "date-time",
1088 "required": [
1089 "string"
1090 ],
1091 "enum": [
1092 "string"
1093 ],
1094 "title": "string"
1095 },
1096 "aliases": [
1097 {
1098 "key": "string",
1099 "value": "string"
1100 }
1101 ]
1102 },
1103 "rejectionPlan": {
1104 "conditions": [
1105 {
1106 "type": "regex",
1107 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
1108 }
1109 ]
1110 }
1111 },
1112 "toolId": "string"
1113 }
1114 ],
1115 "filters": [
1116 {
1117 "type": "oneOf",
1118 "key": "string",
1119 "oneOf": [
1120 "string"
1121 ]
1122 }
1123 ]
1124 }
1125 ],
1126 "name": "string",
1127 "voicemailMessage": "string",
1128 "endCallMessage": "string",
1129 "endCallPhrases": [
1130 "string"
1131 ],
1132 "compliancePlan": {
1133 "hipaaEnabled": true,
1134 "pciEnabled": {
1135 "pciEnabled": false
1136 },
1137 "securityFilterPlan": {
1138 "enabled": false,
1139 "filters": [
1140 {}
1141 ],
1142 "mode": "sanitize",
1143 "replacementText": "[FILTERED]"
1144 },
1145 "recordingConsentPlan": {
1146 "message": "For quality purposes, this call may be recorded. Please stay on the line if you agree or end the call if you do not consent.",
1147 "voice": {
1148 "cachingEnabled": true,
1149 "provider": "azure",
1150 "voiceId": "andrew",
1151 "chunkPlan": {
1152 "enabled": true,
1153 "minCharacters": 30,
1154 "punctuationBoundaries": "。",
1155 "formatPlan": {
1156 "enabled": true,
1157 "numberToDigitsCutoff": 2025,
1158 "replacements": [
1159 {
1160 "type": "exact",
1161 "replaceAllEnabled": false,
1162 "key": "string",
1163 "value": "string"
1164 }
1165 ],
1166 "formattersEnabled": "markdown"
1167 }
1168 },
1169 "speed": 1.1,
1170 "fallbackPlan": {
1171 "voices": [
1172 {
1173 "cachingEnabled": true,
1174 "provider": "azure",
1175 "voiceId": "andrew",
1176 "speed": 1.1,
1177 "chunkPlan": {
1178 "enabled": true,
1179 "minCharacters": 30,
1180 "punctuationBoundaries": "。",
1181 "formatPlan": {
1182 "enabled": true,
1183 "numberToDigitsCutoff": 2025,
1184 "replacements": {},
1185 "formattersEnabled": {}
1186 }
1187 },
1188 "oneOf": null
1189 }
1190 ]
1191 }
1192 },
1193 "type": "stay-on-line",
1194 "waitSeconds": 3
1195 }
1196 },
1197 "metadata": {},
1198 "backgroundSpeechDenoisingPlan": {
1199 "smartDenoisingPlan": {
1200 "enabled": true
1201 },
1202 "fourierDenoisingPlan": {
1203 "enabled": false,
1204 "mediaDetectionEnabled": true,
1205 "staticThreshold": -35,
1206 "baselineOffsetDb": -15,
1207 "windowSizeMs": 3000,
1208 "baselinePercentile": 85
1209 }
1210 },
1211 "analysisPlan": {
1212 "minMessagesThreshold": 1.1,
1213 "summaryPlan": {
1214 "messages": [
1215 {}
1216 ],
1217 "enabled": true,
1218 "timeoutSeconds": 1.1
1219 },
1220 "structuredDataPlan": {
1221 "messages": [
1222 {}
1223 ],
1224 "enabled": true,
1225 "schema": {
1226 "type": "string",
1227 "items": {
1228 "type": "string",
1229 "items": {
1230 "type": "string",
1231 "items": {
1232 "type": "string",
1233 "items": {
1234 "type": "string",
1235 "items": {
1236 "type": "string",
1237 "items": {
1238 "type": "string",
1239 "items": {
1240 "type": {},
1241 "items": {},
1242 "properties": {},
1243 "description": {},
1244 "pattern": {},
1245 "format": {},
1246 "required": {},
1247 "enum": {},
1248 "title": {}
1249 },
1250 "properties": {},
1251 "description": "string",
1252 "pattern": "string",
1253 "format": "date-time",
1254 "required": [
1255 "string"
1256 ],
1257 "enum": [
1258 "string"
1259 ],
1260 "title": "string"
1261 },
1262 "properties": {},
1263 "description": "string",
1264 "pattern": "string",
1265 "format": "date-time",
1266 "required": [
1267 "string"
1268 ],
1269 "enum": [
1270 "string"
1271 ],
1272 "title": "string"
1273 },
1274 "properties": {},
1275 "description": "string",
1276 "pattern": "string",
1277 "format": "date-time",
1278 "required": [
1279 "string"
1280 ],
1281 "enum": [
1282 "string"
1283 ],
1284 "title": "string"
1285 },
1286 "properties": {},
1287 "description": "string",
1288 "pattern": "string",
1289 "format": "date-time",
1290 "required": [
1291 "string"
1292 ],
1293 "enum": [
1294 "string"
1295 ],
1296 "title": "string"
1297 },
1298 "properties": {},
1299 "description": "string",
1300 "pattern": "string",
1301 "format": "date-time",
1302 "required": [
1303 "string"
1304 ],
1305 "enum": [
1306 "string"
1307 ],
1308 "title": "string"
1309 },
1310 "properties": {},
1311 "description": "string",
1312 "pattern": "string",
1313 "format": "date-time",
1314 "required": [
1315 "string"
1316 ],
1317 "enum": [
1318 "string"
1319 ],
1320 "title": "string"
1321 },
1322 "properties": {},
1323 "description": "string",
1324 "pattern": "string",
1325 "format": "date-time",
1326 "required": [
1327 "string"
1328 ],
1329 "enum": [
1330 "string"
1331 ],
1332 "title": "string"
1333 },
1334 "timeoutSeconds": 1.1
1335 },
1336 "structuredDataMultiPlan": [
1337 {
1338 "key": "string",
1339 "plan": {
1340 "messages": [
1341 {}
1342 ],
1343 "enabled": true,
1344 "schema": {
1345 "type": "string",
1346 "items": {
1347 "type": "string",
1348 "items": {
1349 "type": "string",
1350 "items": {
1351 "type": "string",
1352 "items": {
1353 "type": "string",
1354 "items": {
1355 "type": "string",
1356 "items": {
1357 "type": {},
1358 "items": {},
1359 "properties": {},
1360 "description": {},
1361 "pattern": {},
1362 "format": {},
1363 "required": {},
1364 "enum": {},
1365 "title": {}
1366 },
1367 "properties": {},
1368 "description": "string",
1369 "pattern": "string",
1370 "format": "date-time",
1371 "required": [
1372 "string"
1373 ],
1374 "enum": [
1375 "string"
1376 ],
1377 "title": "string"
1378 },
1379 "properties": {},
1380 "description": "string",
1381 "pattern": "string",
1382 "format": "date-time",
1383 "required": [
1384 "string"
1385 ],
1386 "enum": [
1387 "string"
1388 ],
1389 "title": "string"
1390 },
1391 "properties": {},
1392 "description": "string",
1393 "pattern": "string",
1394 "format": "date-time",
1395 "required": [
1396 "string"
1397 ],
1398 "enum": [
1399 "string"
1400 ],
1401 "title": "string"
1402 },
1403 "properties": {},
1404 "description": "string",
1405 "pattern": "string",
1406 "format": "date-time",
1407 "required": [
1408 "string"
1409 ],
1410 "enum": [
1411 "string"
1412 ],
1413 "title": "string"
1414 },
1415 "properties": {},
1416 "description": "string",
1417 "pattern": "string",
1418 "format": "date-time",
1419 "required": [
1420 "string"
1421 ],
1422 "enum": [
1423 "string"
1424 ],
1425 "title": "string"
1426 },
1427 "properties": {},
1428 "description": "string",
1429 "pattern": "string",
1430 "format": "date-time",
1431 "required": [
1432 "string"
1433 ],
1434 "enum": [
1435 "string"
1436 ],
1437 "title": "string"
1438 },
1439 "timeoutSeconds": 1.1
1440 }
1441 }
1442 ],
1443 "successEvaluationPlan": {
1444 "rubric": "NumericScale",
1445 "messages": [
1446 {}
1447 ],
1448 "enabled": true,
1449 "timeoutSeconds": 1.1
1450 },
1451 "outcomeIds": [
1452 "string"
1453 ]
1454 },
1455 "artifactPlan": {
1456 "recordingEnabled": true,
1457 "recordingFormat": "wav;l16",
1458 "recordingUseCustomStorageEnabled": true,
1459 "videoRecordingEnabled": false,
1460 "fullMessageHistoryEnabled": false,
1461 "pcapEnabled": true,
1462 "pcapS3PathPrefix": "/pcaps",
1463 "pcapUseCustomStorageEnabled": true,
1464 "loggingEnabled": true,
1465 "loggingUseCustomStorageEnabled": true,
1466 "transcriptPlan": {
1467 "enabled": true,
1468 "assistantName": "string",
1469 "userName": "string"
1470 },
1471 "recordingPath": "string",
1472 "structuredOutputIds": [
1473 "string"
1474 ],
1475 "structuredOutputs": [
1476 {
1477 "type": "ai",
1478 "regex": "string",
1479 "model": {
1480 "provider": "openai",
1481 "model": "gpt-5.4",
1482 "temperature": 1.1,
1483 "maxTokens": 5030
1484 },
1485 "compliancePlan": {
1486 "forceStoreOnHipaaEnabled": false
1487 },
1488 "name": "string",
1489 "schema": {
1490 "type": "string",
1491 "items": {
1492 "type": "string",
1493 "items": {
1494 "type": "string",
1495 "items": {
1496 "type": "string",
1497 "items": {
1498 "type": "string",
1499 "items": {
1500 "type": "string",
1501 "items": {
1502 "type": "string",
1503 "items": {
1504 "type": {},
1505 "items": {},
1506 "properties": {},
1507 "description": {},
1508 "pattern": {},
1509 "format": {},
1510 "required": {},
1511 "enum": {},
1512 "title": {}
1513 },
1514 "properties": {},
1515 "description": "string",
1516 "pattern": "string",
1517 "format": "date-time",
1518 "required": [
1519 "string"
1520 ],
1521 "enum": [
1522 "string"
1523 ],
1524 "title": "string"
1525 },
1526 "properties": {},
1527 "description": "string",
1528 "pattern": "string",
1529 "format": "date-time",
1530 "required": [
1531 "string"
1532 ],
1533 "enum": [
1534 "string"
1535 ],
1536 "title": "string"
1537 },
1538 "properties": {},
1539 "description": "string",
1540 "pattern": "string",
1541 "format": "date-time",
1542 "required": [
1543 "string"
1544 ],
1545 "enum": [
1546 "string"
1547 ],
1548 "title": "string"
1549 },
1550 "properties": {},
1551 "description": "string",
1552 "pattern": "string",
1553 "format": "date-time",
1554 "required": [
1555 "string"
1556 ],
1557 "enum": [
1558 "string"
1559 ],
1560 "title": "string"
1561 },
1562 "properties": {},
1563 "description": "string",
1564 "pattern": "string",
1565 "format": "date-time",
1566 "required": [
1567 "string"
1568 ],
1569 "enum": [
1570 "string"
1571 ],
1572 "title": "string"
1573 },
1574 "properties": {},
1575 "description": "string",
1576 "pattern": "string",
1577 "format": "date-time",
1578 "required": [
1579 "string"
1580 ],
1581 "enum": [
1582 "string"
1583 ],
1584 "title": "string"
1585 },
1586 "properties": {},
1587 "description": "string",
1588 "pattern": "string",
1589 "format": "date-time",
1590 "required": [
1591 "string"
1592 ],
1593 "enum": [
1594 "string"
1595 ],
1596 "title": "string"
1597 },
1598 "description": "string",
1599 "assistantIds": [
1600 "string"
1601 ],
1602 "workflowIds": [
1603 "string"
1604 ]
1605 }
1606 ],
1607 "scorecardIds": [
1608 "string"
1609 ],
1610 "scorecards": [
1611 {
1612 "name": "string",
1613 "description": "string",
1614 "metrics": [
1615 {
1616 "structuredOutputId": "string",
1617 "conditions": [
1618 {}
1619 ]
1620 }
1621 ],
1622 "assistantIds": [
1623 "string"
1624 ]
1625 }
1626 ],
1627 "loggingPath": "string"
1628 },
1629 "startSpeakingPlan": {
1630 "waitSeconds": 0.4,
1631 "smartEndpointingEnabled": false,
1632 "smartEndpointingPlan": {
1633 "provider": "vapi"
1634 },
1635 "customEndpointingRules": [
1636 {
1637 "type": "assistant",
1638 "regex": "string",
1639 "regexOptions": [
1640 {
1641 "type": "ignore-case",
1642 "enabled": true
1643 }
1644 ],
1645 "timeoutSeconds": 1.1
1646 }
1647 ],
1648 "transcriptionEndpointingPlan": {
1649 "onPunctuationSeconds": 0.1,
1650 "onNoPunctuationSeconds": 1.5,
1651 "onNumberSeconds": 0.5
1652 }
1653 },
1654 "stopSpeakingPlan": {
1655 "numWords": 0,
1656 "voiceSeconds": 0.2,
1657 "backoffSeconds": 1,
1658 "acknowledgementPhrases": [
1659 "i understand",
1660 "i see",
1661 "i got it",
1662 "i hear you",
1663 "im listening",
1664 "im with you",
1665 "right",
1666 "okay",
1667 "ok",
1668 "sure",
1669 "alright",
1670 "got it",
1671 "understood",
1672 "yeah",
1673 "yes",
1674 "uh-huh",
1675 "mm-hmm",
1676 "gotcha",
1677 "mhmm",
1678 "ah",
1679 "yeah okay",
1680 "yeah sure"
1681 ],
1682 "interruptionPhrases": [
1683 "stop",
1684 "shut",
1685 "up",
1686 "enough",
1687 "quiet",
1688 "silence",
1689 "but",
1690 "dont",
1691 "not",
1692 "no",
1693 "hold",
1694 "wait",
1695 "cut",
1696 "pause",
1697 "nope",
1698 "nah",
1699 "nevermind",
1700 "never",
1701 "bad",
1702 "actually"
1703 ]
1704 },
1705 "monitorPlan": {
1706 "listenEnabled": false,
1707 "listenAuthenticationEnabled": false,
1708 "controlEnabled": false,
1709 "controlAuthenticationEnabled": false,
1710 "monitorIds": [
1711 "123e4567-e89b-12d3-a456-426614174000"
1712 ]
1713 },
1714 "credentialIds": [
1715 "string"
1716 ],
1717 "server": {
1718 "timeoutSeconds": 20,
1719 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
1720 "staticIpAddressesEnabled": false,
1721 "encryptedPaths": [
1722 "string"
1723 ],
1724 "url": "string",
1725 "headers": {},
1726 "backoffPlan": {
1727 "type": "fixed",
1728 "maxRetries": 0,
1729 "baseDelaySeconds": 1,
1730 "excludedStatusCodes": [
1731 400,
1732 401,
1733 403,
1734 404
1735 ]
1736 }
1737 },
1738 "keypadInputPlan": {
1739 "enabled": true,
1740 "timeoutSeconds": 1.1,
1741 "delimiters": "#"
1742 }
1743 },
1744 "assistantOverrides": {
1745 "transcriber": {
1746 "provider": "assembly-ai",
1747 "language": "multi",
1748 "confidenceThreshold": 0.4,
1749 "formatTurns": true,
1750 "endOfTurnConfidenceThreshold": 0.7,
1751 "minEndOfTurnSilenceWhenConfident": 160,
1752 "wordFinalizationMaxWaitTime": 160,
1753 "maxTurnSilence": 400,
1754 "vadAssistedEndpointingEnabled": true,
1755 "speechModel": "universal-streaming-english",
1756 "realtimeUrl": "string",
1757 "wordBoost": [
1758 "string"
1759 ],
1760 "keytermsPrompt": [
1761 "string"
1762 ],
1763 "endUtteranceSilenceThreshold": 1.1,
1764 "disablePartialTranscripts": true,
1765 "fallbackPlan": {
1766 "transcribers": [
1767 {
1768 "provider": "assembly-ai",
1769 "language": "multi",
1770 "confidenceThreshold": 0.4,
1771 "formatTurns": true,
1772 "endOfTurnConfidenceThreshold": 0.7,
1773 "minEndOfTurnSilenceWhenConfident": 160,
1774 "wordFinalizationMaxWaitTime": 160,
1775 "maxTurnSilence": 400,
1776 "vadAssistedEndpointingEnabled": true,
1777 "speechModel": "universal-streaming-english",
1778 "realtimeUrl": "string",
1779 "wordBoost": [
1780 "string"
1781 ],
1782 "keytermsPrompt": [
1783 "string"
1784 ],
1785 "endUtteranceSilenceThreshold": 1.1,
1786 "disablePartialTranscripts": true
1787 }
1788 ]
1789 }
1790 },
1791 "model": {
1792 "messages": [
1793 {
1794 "content": "string",
1795 "role": "assistant"
1796 }
1797 ],
1798 "tools": [
1799 {
1800 "messages": [
1801 {
1802 "contents": [
1803 {
1804 "type": "text",
1805 "text": "string",
1806 "language": "aa"
1807 }
1808 ],
1809 "type": "request-start",
1810 "blocking": false,
1811 "content": "string",
1812 "conditions": [
1813 {
1814 "operator": "eq",
1815 "param": "string",
1816 "value": "string"
1817 }
1818 ]
1819 }
1820 ],
1821 "type": "apiRequest",
1822 "method": "POST",
1823 "timeoutSeconds": 20,
1824 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
1825 "encryptedPaths": [
1826 "string"
1827 ],
1828 "parameters": [
1829 {
1830 "key": "string",
1831 "value": {}
1832 }
1833 ],
1834 "name": "string",
1835 "description": "string",
1836 "url": "string",
1837 "body": {
1838 "type": "string",
1839 "items": {
1840 "type": "string",
1841 "items": {
1842 "type": "string",
1843 "items": {
1844 "type": "string",
1845 "items": {
1846 "type": "string",
1847 "items": {
1848 "type": {},
1849 "items": {},
1850 "properties": {},
1851 "description": {},
1852 "pattern": {},
1853 "format": {},
1854 "required": {},
1855 "enum": {},
1856 "title": {}
1857 },
1858 "properties": {},
1859 "description": "string",
1860 "pattern": "string",
1861 "format": "date-time",
1862 "required": [
1863 "string"
1864 ],
1865 "enum": [
1866 "string"
1867 ],
1868 "title": "string"
1869 },
1870 "properties": {},
1871 "description": "string",
1872 "pattern": "string",
1873 "format": "date-time",
1874 "required": [
1875 "string"
1876 ],
1877 "enum": [
1878 "string"
1879 ],
1880 "title": "string"
1881 },
1882 "properties": {},
1883 "description": "string",
1884 "pattern": "string",
1885 "format": "date-time",
1886 "required": [
1887 "string"
1888 ],
1889 "enum": [
1890 "string"
1891 ],
1892 "title": "string"
1893 },
1894 "properties": {},
1895 "description": "string",
1896 "pattern": "string",
1897 "format": "date-time",
1898 "required": [
1899 "string"
1900 ],
1901 "enum": [
1902 "string"
1903 ],
1904 "title": "string"
1905 },
1906 "properties": {},
1907 "description": "string",
1908 "pattern": "string",
1909 "format": "date-time",
1910 "required": [
1911 "string"
1912 ],
1913 "enum": [
1914 "string"
1915 ],
1916 "title": "string"
1917 },
1918 "headers": {
1919 "type": "string",
1920 "items": {
1921 "type": "string",
1922 "items": {
1923 "type": "string",
1924 "items": {
1925 "type": "string",
1926 "items": {
1927 "type": "string",
1928 "items": {
1929 "type": {},
1930 "items": {},
1931 "properties": {},
1932 "description": {},
1933 "pattern": {},
1934 "format": {},
1935 "required": {},
1936 "enum": {},
1937 "title": {}
1938 },
1939 "properties": {},
1940 "description": "string",
1941 "pattern": "string",
1942 "format": "date-time",
1943 "required": [
1944 "string"
1945 ],
1946 "enum": [
1947 "string"
1948 ],
1949 "title": "string"
1950 },
1951 "properties": {},
1952 "description": "string",
1953 "pattern": "string",
1954 "format": "date-time",
1955 "required": [
1956 "string"
1957 ],
1958 "enum": [
1959 "string"
1960 ],
1961 "title": "string"
1962 },
1963 "properties": {},
1964 "description": "string",
1965 "pattern": "string",
1966 "format": "date-time",
1967 "required": [
1968 "string"
1969 ],
1970 "enum": [
1971 "string"
1972 ],
1973 "title": "string"
1974 },
1975 "properties": {},
1976 "description": "string",
1977 "pattern": "string",
1978 "format": "date-time",
1979 "required": [
1980 "string"
1981 ],
1982 "enum": [
1983 "string"
1984 ],
1985 "title": "string"
1986 },
1987 "properties": {},
1988 "description": "string",
1989 "pattern": "string",
1990 "format": "date-time",
1991 "required": [
1992 "string"
1993 ],
1994 "enum": [
1995 "string"
1996 ],
1997 "title": "string"
1998 },
1999 "backoffPlan": {
2000 "type": "fixed",
2001 "maxRetries": 0,
2002 "baseDelaySeconds": 1,
2003 "excludedStatusCodes": [
2004 400,
2005 401,
2006 403,
2007 404
2008 ]
2009 },
2010 "variableExtractionPlan": {
2011 "schema": {
2012 "type": "string",
2013 "items": {
2014 "type": "string",
2015 "items": {
2016 "type": "string",
2017 "items": {
2018 "type": "string",
2019 "items": {
2020 "type": {},
2021 "items": {},
2022 "properties": {},
2023 "description": {},
2024 "pattern": {},
2025 "format": {},
2026 "required": {},
2027 "enum": {},
2028 "title": {}
2029 },
2030 "properties": {},
2031 "description": "string",
2032 "pattern": "string",
2033 "format": "date-time",
2034 "required": [
2035 "string"
2036 ],
2037 "enum": [
2038 "string"
2039 ],
2040 "title": "string"
2041 },
2042 "properties": {},
2043 "description": "string",
2044 "pattern": "string",
2045 "format": "date-time",
2046 "required": [
2047 "string"
2048 ],
2049 "enum": [
2050 "string"
2051 ],
2052 "title": "string"
2053 },
2054 "properties": {},
2055 "description": "string",
2056 "pattern": "string",
2057 "format": "date-time",
2058 "required": [
2059 "string"
2060 ],
2061 "enum": [
2062 "string"
2063 ],
2064 "title": "string"
2065 },
2066 "properties": {},
2067 "description": "string",
2068 "pattern": "string",
2069 "format": "date-time",
2070 "required": [
2071 "string"
2072 ],
2073 "enum": [
2074 "string"
2075 ],
2076 "title": "string"
2077 },
2078 "aliases": [
2079 {
2080 "key": "string",
2081 "value": "string"
2082 }
2083 ]
2084 },
2085 "rejectionPlan": {
2086 "conditions": [
2087 {
2088 "type": "regex",
2089 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
2090 }
2091 ]
2092 }
2093 }
2094 ],
2095 "toolIds": [
2096 "string"
2097 ],
2098 "knowledgeBase": {
2099 "provider": "custom-knowledge-base",
2100 "server": {
2101 "timeoutSeconds": 20,
2102 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
2103 "staticIpAddressesEnabled": false,
2104 "encryptedPaths": [
2105 "string"
2106 ],
2107 "url": "string",
2108 "headers": {},
2109 "backoffPlan": {
2110 "type": "fixed",
2111 "maxRetries": 0,
2112 "baseDelaySeconds": 1,
2113 "excludedStatusCodes": [
2114 400,
2115 401,
2116 403,
2117 404
2118 ]
2119 }
2120 }
2121 },
2122 "model": "claude-3-opus-20240229",
2123 "provider": "anthropic",
2124 "thinking": {
2125 "type": "enabled",
2126 "budgetTokens": 50500
2127 },
2128 "temperature": 1.1,
2129 "maxTokens": 5030,
2130 "emotionRecognitionEnabled": true,
2131 "numFastTurns": 1.1
2132 },
2133 "voice": {
2134 "cachingEnabled": true,
2135 "provider": "azure",
2136 "voiceId": "andrew",
2137 "chunkPlan": {
2138 "enabled": true,
2139 "minCharacters": 30,
2140 "punctuationBoundaries": "。",
2141 "formatPlan": {
2142 "enabled": true,
2143 "numberToDigitsCutoff": 2025,
2144 "replacements": [
2145 {
2146 "type": "exact",
2147 "replaceAllEnabled": false,
2148 "key": "string",
2149 "value": "string"
2150 }
2151 ],
2152 "formattersEnabled": "markdown"
2153 }
2154 },
2155 "speed": 1.1,
2156 "fallbackPlan": {
2157 "voices": [
2158 {
2159 "cachingEnabled": true,
2160 "provider": "azure",
2161 "voiceId": "andrew",
2162 "speed": 1.1,
2163 "chunkPlan": {
2164 "enabled": true,
2165 "minCharacters": 30,
2166 "punctuationBoundaries": "。",
2167 "formatPlan": {
2168 "enabled": true,
2169 "numberToDigitsCutoff": 2025,
2170 "replacements": [
2171 {
2172 "type": "exact",
2173 "replaceAllEnabled": false,
2174 "key": "string",
2175 "value": "string"
2176 }
2177 ],
2178 "formattersEnabled": "markdown"
2179 }
2180 },
2181 "oneOf": null
2182 }
2183 ]
2184 }
2185 },
2186 "firstMessage": "Hello! How can I help you today?",
2187 "firstMessageInterruptionsEnabled": false,
2188 "firstMessageMode": "assistant-speaks-first",
2189 "voicemailDetection": "off",
2190 "clientMessages": "conversation-update",
2191 "serverMessages": "assistant.started",
2192 "maxDurationSeconds": 600,
2193 "backgroundSound": "off",
2194 "modelOutputInMessagesEnabled": false,
2195 "transportConfigurations": [
2196 {
2197 "provider": "twilio",
2198 "timeout": 60,
2199 "record": false,
2200 "recordingChannels": "mono"
2201 }
2202 ],
2203 "observabilityPlan": {
2204 "provider": "langfuse",
2205 "promptName": "string",
2206 "promptVersion": 1.1,
2207 "traceName": "string",
2208 "tags": [
2209 "string"
2210 ],
2211 "metadata": {}
2212 },
2213 "credentials": [
2214 {
2215 "provider": "anthropic",
2216 "apiKey": "string",
2217 "name": "string"
2218 }
2219 ],
2220 "hooks": [
2221 {
2222 "on": "call.ending",
2223 "do": [
2224 {
2225 "type": "tool",
2226 "tool": {
2227 "messages": [
2228 {
2229 "contents": [
2230 {
2231 "type": {},
2232 "text": {},
2233 "language": {}
2234 }
2235 ],
2236 "type": "request-start",
2237 "blocking": false,
2238 "content": "string",
2239 "conditions": [
2240 {
2241 "operator": "eq",
2242 "param": "string",
2243 "value": "string"
2244 }
2245 ]
2246 }
2247 ],
2248 "type": "apiRequest",
2249 "method": "POST",
2250 "timeoutSeconds": 20,
2251 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
2252 "encryptedPaths": [
2253 "string"
2254 ],
2255 "parameters": [
2256 {
2257 "key": "string",
2258 "value": {}
2259 }
2260 ],
2261 "name": "string",
2262 "description": "string",
2263 "url": "string",
2264 "body": {
2265 "type": "string",
2266 "items": {
2267 "type": "string",
2268 "items": {
2269 "type": "string",
2270 "items": {
2271 "type": {},
2272 "items": {},
2273 "properties": {},
2274 "description": {},
2275 "pattern": {},
2276 "format": {},
2277 "required": {},
2278 "enum": {},
2279 "title": {}
2280 },
2281 "properties": {},
2282 "description": "string",
2283 "pattern": "string",
2284 "format": "date-time",
2285 "required": [
2286 "string"
2287 ],
2288 "enum": [
2289 "string"
2290 ],
2291 "title": "string"
2292 },
2293 "properties": {},
2294 "description": "string",
2295 "pattern": "string",
2296 "format": "date-time",
2297 "required": [
2298 "string"
2299 ],
2300 "enum": [
2301 "string"
2302 ],
2303 "title": "string"
2304 },
2305 "properties": {},
2306 "description": "string",
2307 "pattern": "string",
2308 "format": "date-time",
2309 "required": [
2310 "string"
2311 ],
2312 "enum": [
2313 "string"
2314 ],
2315 "title": "string"
2316 },
2317 "headers": {
2318 "type": "string",
2319 "items": {
2320 "type": "string",
2321 "items": {
2322 "type": "string",
2323 "items": {
2324 "type": {},
2325 "items": {},
2326 "properties": {},
2327 "description": {},
2328 "pattern": {},
2329 "format": {},
2330 "required": {},
2331 "enum": {},
2332 "title": {}
2333 },
2334 "properties": {},
2335 "description": "string",
2336 "pattern": "string",
2337 "format": "date-time",
2338 "required": [
2339 "string"
2340 ],
2341 "enum": [
2342 "string"
2343 ],
2344 "title": "string"
2345 },
2346 "properties": {},
2347 "description": "string",
2348 "pattern": "string",
2349 "format": "date-time",
2350 "required": [
2351 "string"
2352 ],
2353 "enum": [
2354 "string"
2355 ],
2356 "title": "string"
2357 },
2358 "properties": {},
2359 "description": "string",
2360 "pattern": "string",
2361 "format": "date-time",
2362 "required": [
2363 "string"
2364 ],
2365 "enum": [
2366 "string"
2367 ],
2368 "title": "string"
2369 },
2370 "backoffPlan": {
2371 "type": "fixed",
2372 "maxRetries": 0,
2373 "baseDelaySeconds": 1,
2374 "excludedStatusCodes": [
2375 400,
2376 401,
2377 403,
2378 404
2379 ]
2380 },
2381 "variableExtractionPlan": {
2382 "schema": {
2383 "type": "string",
2384 "items": {
2385 "type": "string",
2386 "items": {
2387 "type": {},
2388 "items": {},
2389 "properties": {},
2390 "description": {},
2391 "pattern": {},
2392 "format": {},
2393 "required": {},
2394 "enum": {},
2395 "title": {}
2396 },
2397 "properties": {},
2398 "description": "string",
2399 "pattern": "string",
2400 "format": "date-time",
2401 "required": [
2402 "string"
2403 ],
2404 "enum": [
2405 "string"
2406 ],
2407 "title": "string"
2408 },
2409 "properties": {},
2410 "description": "string",
2411 "pattern": "string",
2412 "format": "date-time",
2413 "required": [
2414 "string"
2415 ],
2416 "enum": [
2417 "string"
2418 ],
2419 "title": "string"
2420 },
2421 "aliases": [
2422 {
2423 "key": "string",
2424 "value": "string"
2425 }
2426 ]
2427 },
2428 "rejectionPlan": {
2429 "conditions": [
2430 {
2431 "type": "regex",
2432 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
2433 }
2434 ]
2435 }
2436 },
2437 "toolId": "string"
2438 }
2439 ],
2440 "filters": [
2441 {
2442 "type": "oneOf",
2443 "key": "string",
2444 "oneOf": [
2445 "string"
2446 ]
2447 }
2448 ]
2449 }
2450 ],
2451 "tools:append": [
2452 {
2453 "messages": [
2454 {
2455 "contents": [
2456 {
2457 "type": "text",
2458 "text": "string",
2459 "language": "aa"
2460 }
2461 ],
2462 "type": "request-start",
2463 "blocking": false,
2464 "content": "string",
2465 "conditions": [
2466 {
2467 "operator": "eq",
2468 "param": "string",
2469 "value": "string"
2470 }
2471 ]
2472 }
2473 ],
2474 "type": "apiRequest",
2475 "method": "POST",
2476 "timeoutSeconds": 20,
2477 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
2478 "encryptedPaths": [
2479 "string"
2480 ],
2481 "parameters": [
2482 {
2483 "key": "string",
2484 "value": {}
2485 }
2486 ],
2487 "name": "string",
2488 "description": "string",
2489 "url": "string",
2490 "body": {
2491 "type": "string",
2492 "items": {
2493 "type": "string",
2494 "items": {
2495 "type": "string",
2496 "items": {
2497 "type": "string",
2498 "items": {
2499 "type": "string",
2500 "items": {
2501 "type": "string",
2502 "items": {
2503 "type": "string",
2504 "items": {
2505 "type": {},
2506 "items": {},
2507 "properties": {},
2508 "description": {},
2509 "pattern": {},
2510 "format": {},
2511 "required": {},
2512 "enum": {},
2513 "title": {}
2514 },
2515 "properties": {},
2516 "description": "string",
2517 "pattern": "string",
2518 "format": "date-time",
2519 "required": [
2520 "string"
2521 ],
2522 "enum": [
2523 "string"
2524 ],
2525 "title": "string"
2526 },
2527 "properties": {},
2528 "description": "string",
2529 "pattern": "string",
2530 "format": "date-time",
2531 "required": [
2532 "string"
2533 ],
2534 "enum": [
2535 "string"
2536 ],
2537 "title": "string"
2538 },
2539 "properties": {},
2540 "description": "string",
2541 "pattern": "string",
2542 "format": "date-time",
2543 "required": [
2544 "string"
2545 ],
2546 "enum": [
2547 "string"
2548 ],
2549 "title": "string"
2550 },
2551 "properties": {},
2552 "description": "string",
2553 "pattern": "string",
2554 "format": "date-time",
2555 "required": [
2556 "string"
2557 ],
2558 "enum": [
2559 "string"
2560 ],
2561 "title": "string"
2562 },
2563 "properties": {},
2564 "description": "string",
2565 "pattern": "string",
2566 "format": "date-time",
2567 "required": [
2568 "string"
2569 ],
2570 "enum": [
2571 "string"
2572 ],
2573 "title": "string"
2574 },
2575 "properties": {},
2576 "description": "string",
2577 "pattern": "string",
2578 "format": "date-time",
2579 "required": [
2580 "string"
2581 ],
2582 "enum": [
2583 "string"
2584 ],
2585 "title": "string"
2586 },
2587 "properties": {},
2588 "description": "string",
2589 "pattern": "string",
2590 "format": "date-time",
2591 "required": [
2592 "string"
2593 ],
2594 "enum": [
2595 "string"
2596 ],
2597 "title": "string"
2598 },
2599 "headers": {
2600 "type": "string",
2601 "items": {
2602 "type": "string",
2603 "items": {
2604 "type": "string",
2605 "items": {
2606 "type": "string",
2607 "items": {
2608 "type": "string",
2609 "items": {
2610 "type": "string",
2611 "items": {
2612 "type": "string",
2613 "items": {
2614 "type": {},
2615 "items": {},
2616 "properties": {},
2617 "description": {},
2618 "pattern": {},
2619 "format": {},
2620 "required": {},
2621 "enum": {},
2622 "title": {}
2623 },
2624 "properties": {},
2625 "description": "string",
2626 "pattern": "string",
2627 "format": "date-time",
2628 "required": [
2629 "string"
2630 ],
2631 "enum": [
2632 "string"
2633 ],
2634 "title": "string"
2635 },
2636 "properties": {},
2637 "description": "string",
2638 "pattern": "string",
2639 "format": "date-time",
2640 "required": [
2641 "string"
2642 ],
2643 "enum": [
2644 "string"
2645 ],
2646 "title": "string"
2647 },
2648 "properties": {},
2649 "description": "string",
2650 "pattern": "string",
2651 "format": "date-time",
2652 "required": [
2653 "string"
2654 ],
2655 "enum": [
2656 "string"
2657 ],
2658 "title": "string"
2659 },
2660 "properties": {},
2661 "description": "string",
2662 "pattern": "string",
2663 "format": "date-time",
2664 "required": [
2665 "string"
2666 ],
2667 "enum": [
2668 "string"
2669 ],
2670 "title": "string"
2671 },
2672 "properties": {},
2673 "description": "string",
2674 "pattern": "string",
2675 "format": "date-time",
2676 "required": [
2677 "string"
2678 ],
2679 "enum": [
2680 "string"
2681 ],
2682 "title": "string"
2683 },
2684 "properties": {},
2685 "description": "string",
2686 "pattern": "string",
2687 "format": "date-time",
2688 "required": [
2689 "string"
2690 ],
2691 "enum": [
2692 "string"
2693 ],
2694 "title": "string"
2695 },
2696 "properties": {},
2697 "description": "string",
2698 "pattern": "string",
2699 "format": "date-time",
2700 "required": [
2701 "string"
2702 ],
2703 "enum": [
2704 "string"
2705 ],
2706 "title": "string"
2707 },
2708 "backoffPlan": {
2709 "type": "fixed",
2710 "maxRetries": 0,
2711 "baseDelaySeconds": 1,
2712 "excludedStatusCodes": [
2713 400,
2714 401,
2715 403,
2716 404
2717 ]
2718 },
2719 "variableExtractionPlan": {
2720 "schema": {
2721 "type": "string",
2722 "items": {
2723 "type": "string",
2724 "items": {
2725 "type": "string",
2726 "items": {
2727 "type": "string",
2728 "items": {
2729 "type": "string",
2730 "items": {
2731 "type": "string",
2732 "items": {
2733 "type": {},
2734 "items": {},
2735 "properties": {},
2736 "description": {},
2737 "pattern": {},
2738 "format": {},
2739 "required": {},
2740 "enum": {},
2741 "title": {}
2742 },
2743 "properties": {},
2744 "description": "string",
2745 "pattern": "string",
2746 "format": "date-time",
2747 "required": [
2748 "string"
2749 ],
2750 "enum": [
2751 "string"
2752 ],
2753 "title": "string"
2754 },
2755 "properties": {},
2756 "description": "string",
2757 "pattern": "string",
2758 "format": "date-time",
2759 "required": [
2760 "string"
2761 ],
2762 "enum": [
2763 "string"
2764 ],
2765 "title": "string"
2766 },
2767 "properties": {},
2768 "description": "string",
2769 "pattern": "string",
2770 "format": "date-time",
2771 "required": [
2772 "string"
2773 ],
2774 "enum": [
2775 "string"
2776 ],
2777 "title": "string"
2778 },
2779 "properties": {},
2780 "description": "string",
2781 "pattern": "string",
2782 "format": "date-time",
2783 "required": [
2784 "string"
2785 ],
2786 "enum": [
2787 "string"
2788 ],
2789 "title": "string"
2790 },
2791 "properties": {},
2792 "description": "string",
2793 "pattern": "string",
2794 "format": "date-time",
2795 "required": [
2796 "string"
2797 ],
2798 "enum": [
2799 "string"
2800 ],
2801 "title": "string"
2802 },
2803 "properties": {},
2804 "description": "string",
2805 "pattern": "string",
2806 "format": "date-time",
2807 "required": [
2808 "string"
2809 ],
2810 "enum": [
2811 "string"
2812 ],
2813 "title": "string"
2814 },
2815 "aliases": [
2816 {
2817 "key": "string",
2818 "value": "string"
2819 }
2820 ]
2821 },
2822 "rejectionPlan": {
2823 "conditions": [
2824 {
2825 "type": "regex",
2826 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
2827 }
2828 ]
2829 }
2830 }
2831 ],
2832 "variableValues": {},
2833 "name": "string",
2834 "voicemailMessage": "string",
2835 "endCallMessage": "string",
2836 "endCallPhrases": [
2837 "string"
2838 ],
2839 "compliancePlan": {
2840 "hipaaEnabled": true,
2841 "pciEnabled": {
2842 "pciEnabled": false
2843 },
2844 "securityFilterPlan": {
2845 "enabled": false,
2846 "filters": [
2847 {}
2848 ],
2849 "mode": "sanitize",
2850 "replacementText": "[FILTERED]"
2851 },
2852 "recordingConsentPlan": {
2853 "message": "For quality purposes, this call may be recorded. Please stay on the line if you agree or end the call if you do not consent.",
2854 "voice": {
2855 "cachingEnabled": true,
2856 "provider": "azure",
2857 "voiceId": "andrew",
2858 "chunkPlan": {
2859 "enabled": true,
2860 "minCharacters": 30,
2861 "punctuationBoundaries": "。",
2862 "formatPlan": {
2863 "enabled": true,
2864 "numberToDigitsCutoff": 2025,
2865 "replacements": [
2866 {
2867 "type": "exact",
2868 "replaceAllEnabled": false,
2869 "key": "string",
2870 "value": "string"
2871 }
2872 ],
2873 "formattersEnabled": "markdown"
2874 }
2875 },
2876 "speed": 1.1,
2877 "fallbackPlan": {
2878 "voices": [
2879 {
2880 "cachingEnabled": true,
2881 "provider": "azure",
2882 "voiceId": "andrew",
2883 "speed": 1.1,
2884 "chunkPlan": {
2885 "enabled": true,
2886 "minCharacters": 30,
2887 "punctuationBoundaries": "。",
2888 "formatPlan": {
2889 "enabled": true,
2890 "numberToDigitsCutoff": 2025,
2891 "replacements": {},
2892 "formattersEnabled": {}
2893 }
2894 },
2895 "oneOf": null
2896 }
2897 ]
2898 }
2899 },
2900 "type": "stay-on-line",
2901 "waitSeconds": 3
2902 }
2903 },
2904 "metadata": {},
2905 "backgroundSpeechDenoisingPlan": {
2906 "smartDenoisingPlan": {
2907 "enabled": true
2908 },
2909 "fourierDenoisingPlan": {
2910 "enabled": false,
2911 "mediaDetectionEnabled": true,
2912 "staticThreshold": -35,
2913 "baselineOffsetDb": -15,
2914 "windowSizeMs": 3000,
2915 "baselinePercentile": 85
2916 }
2917 },
2918 "analysisPlan": {
2919 "minMessagesThreshold": 1.1,
2920 "summaryPlan": {
2921 "messages": [
2922 {}
2923 ],
2924 "enabled": true,
2925 "timeoutSeconds": 1.1
2926 },
2927 "structuredDataPlan": {
2928 "messages": [
2929 {}
2930 ],
2931 "enabled": true,
2932 "schema": {
2933 "type": "string",
2934 "items": {
2935 "type": "string",
2936 "items": {
2937 "type": "string",
2938 "items": {
2939 "type": "string",
2940 "items": {
2941 "type": "string",
2942 "items": {
2943 "type": "string",
2944 "items": {
2945 "type": "string",
2946 "items": {
2947 "type": {},
2948 "items": {},
2949 "properties": {},
2950 "description": {},
2951 "pattern": {},
2952 "format": {},
2953 "required": {},
2954 "enum": {},
2955 "title": {}
2956 },
2957 "properties": {},
2958 "description": "string",
2959 "pattern": "string",
2960 "format": "date-time",
2961 "required": [
2962 "string"
2963 ],
2964 "enum": [
2965 "string"
2966 ],
2967 "title": "string"
2968 },
2969 "properties": {},
2970 "description": "string",
2971 "pattern": "string",
2972 "format": "date-time",
2973 "required": [
2974 "string"
2975 ],
2976 "enum": [
2977 "string"
2978 ],
2979 "title": "string"
2980 },
2981 "properties": {},
2982 "description": "string",
2983 "pattern": "string",
2984 "format": "date-time",
2985 "required": [
2986 "string"
2987 ],
2988 "enum": [
2989 "string"
2990 ],
2991 "title": "string"
2992 },
2993 "properties": {},
2994 "description": "string",
2995 "pattern": "string",
2996 "format": "date-time",
2997 "required": [
2998 "string"
2999 ],
3000 "enum": [
3001 "string"
3002 ],
3003 "title": "string"
3004 },
3005 "properties": {},
3006 "description": "string",
3007 "pattern": "string",
3008 "format": "date-time",
3009 "required": [
3010 "string"
3011 ],
3012 "enum": [
3013 "string"
3014 ],
3015 "title": "string"
3016 },
3017 "properties": {},
3018 "description": "string",
3019 "pattern": "string",
3020 "format": "date-time",
3021 "required": [
3022 "string"
3023 ],
3024 "enum": [
3025 "string"
3026 ],
3027 "title": "string"
3028 },
3029 "properties": {},
3030 "description": "string",
3031 "pattern": "string",
3032 "format": "date-time",
3033 "required": [
3034 "string"
3035 ],
3036 "enum": [
3037 "string"
3038 ],
3039 "title": "string"
3040 },
3041 "timeoutSeconds": 1.1
3042 },
3043 "structuredDataMultiPlan": [
3044 {
3045 "key": "string",
3046 "plan": {
3047 "messages": [
3048 {}
3049 ],
3050 "enabled": true,
3051 "schema": {
3052 "type": "string",
3053 "items": {
3054 "type": "string",
3055 "items": {
3056 "type": "string",
3057 "items": {
3058 "type": "string",
3059 "items": {
3060 "type": "string",
3061 "items": {
3062 "type": "string",
3063 "items": {
3064 "type": {},
3065 "items": {},
3066 "properties": {},
3067 "description": {},
3068 "pattern": {},
3069 "format": {},
3070 "required": {},
3071 "enum": {},
3072 "title": {}
3073 },
3074 "properties": {},
3075 "description": "string",
3076 "pattern": "string",
3077 "format": "date-time",
3078 "required": [
3079 "string"
3080 ],
3081 "enum": [
3082 "string"
3083 ],
3084 "title": "string"
3085 },
3086 "properties": {},
3087 "description": "string",
3088 "pattern": "string",
3089 "format": "date-time",
3090 "required": [
3091 "string"
3092 ],
3093 "enum": [
3094 "string"
3095 ],
3096 "title": "string"
3097 },
3098 "properties": {},
3099 "description": "string",
3100 "pattern": "string",
3101 "format": "date-time",
3102 "required": [
3103 "string"
3104 ],
3105 "enum": [
3106 "string"
3107 ],
3108 "title": "string"
3109 },
3110 "properties": {},
3111 "description": "string",
3112 "pattern": "string",
3113 "format": "date-time",
3114 "required": [
3115 "string"
3116 ],
3117 "enum": [
3118 "string"
3119 ],
3120 "title": "string"
3121 },
3122 "properties": {},
3123 "description": "string",
3124 "pattern": "string",
3125 "format": "date-time",
3126 "required": [
3127 "string"
3128 ],
3129 "enum": [
3130 "string"
3131 ],
3132 "title": "string"
3133 },
3134 "properties": {},
3135 "description": "string",
3136 "pattern": "string",
3137 "format": "date-time",
3138 "required": [
3139 "string"
3140 ],
3141 "enum": [
3142 "string"
3143 ],
3144 "title": "string"
3145 },
3146 "timeoutSeconds": 1.1
3147 }
3148 }
3149 ],
3150 "successEvaluationPlan": {
3151 "rubric": "NumericScale",
3152 "messages": [
3153 {}
3154 ],
3155 "enabled": true,
3156 "timeoutSeconds": 1.1
3157 },
3158 "outcomeIds": [
3159 "string"
3160 ]
3161 },
3162 "artifactPlan": {
3163 "recordingEnabled": true,
3164 "recordingFormat": "wav;l16",
3165 "recordingUseCustomStorageEnabled": true,
3166 "videoRecordingEnabled": false,
3167 "fullMessageHistoryEnabled": false,
3168 "pcapEnabled": true,
3169 "pcapS3PathPrefix": "/pcaps",
3170 "pcapUseCustomStorageEnabled": true,
3171 "loggingEnabled": true,
3172 "loggingUseCustomStorageEnabled": true,
3173 "transcriptPlan": {
3174 "enabled": true,
3175 "assistantName": "string",
3176 "userName": "string"
3177 },
3178 "recordingPath": "string",
3179 "structuredOutputIds": [
3180 "string"
3181 ],
3182 "structuredOutputs": [
3183 {
3184 "type": "ai",
3185 "regex": "string",
3186 "model": {
3187 "provider": "openai",
3188 "model": "gpt-5.4",
3189 "temperature": 1.1,
3190 "maxTokens": 5030
3191 },
3192 "compliancePlan": {
3193 "forceStoreOnHipaaEnabled": false
3194 },
3195 "name": "string",
3196 "schema": {
3197 "type": "string",
3198 "items": {
3199 "type": "string",
3200 "items": {
3201 "type": "string",
3202 "items": {
3203 "type": "string",
3204 "items": {
3205 "type": "string",
3206 "items": {
3207 "type": "string",
3208 "items": {
3209 "type": "string",
3210 "items": {
3211 "type": {},
3212 "items": {},
3213 "properties": {},
3214 "description": {},
3215 "pattern": {},
3216 "format": {},
3217 "required": {},
3218 "enum": {},
3219 "title": {}
3220 },
3221 "properties": {},
3222 "description": "string",
3223 "pattern": "string",
3224 "format": "date-time",
3225 "required": [
3226 "string"
3227 ],
3228 "enum": [
3229 "string"
3230 ],
3231 "title": "string"
3232 },
3233 "properties": {},
3234 "description": "string",
3235 "pattern": "string",
3236 "format": "date-time",
3237 "required": [
3238 "string"
3239 ],
3240 "enum": [
3241 "string"
3242 ],
3243 "title": "string"
3244 },
3245 "properties": {},
3246 "description": "string",
3247 "pattern": "string",
3248 "format": "date-time",
3249 "required": [
3250 "string"
3251 ],
3252 "enum": [
3253 "string"
3254 ],
3255 "title": "string"
3256 },
3257 "properties": {},
3258 "description": "string",
3259 "pattern": "string",
3260 "format": "date-time",
3261 "required": [
3262 "string"
3263 ],
3264 "enum": [
3265 "string"
3266 ],
3267 "title": "string"
3268 },
3269 "properties": {},
3270 "description": "string",
3271 "pattern": "string",
3272 "format": "date-time",
3273 "required": [
3274 "string"
3275 ],
3276 "enum": [
3277 "string"
3278 ],
3279 "title": "string"
3280 },
3281 "properties": {},
3282 "description": "string",
3283 "pattern": "string",
3284 "format": "date-time",
3285 "required": [
3286 "string"
3287 ],
3288 "enum": [
3289 "string"
3290 ],
3291 "title": "string"
3292 },
3293 "properties": {},
3294 "description": "string",
3295 "pattern": "string",
3296 "format": "date-time",
3297 "required": [
3298 "string"
3299 ],
3300 "enum": [
3301 "string"
3302 ],
3303 "title": "string"
3304 },
3305 "description": "string",
3306 "assistantIds": [
3307 "string"
3308 ],
3309 "workflowIds": [
3310 "string"
3311 ]
3312 }
3313 ],
3314 "scorecardIds": [
3315 "string"
3316 ],
3317 "scorecards": [
3318 {
3319 "name": "string",
3320 "description": "string",
3321 "metrics": [
3322 {
3323 "structuredOutputId": "string",
3324 "conditions": [
3325 {}
3326 ]
3327 }
3328 ],
3329 "assistantIds": [
3330 "string"
3331 ]
3332 }
3333 ],
3334 "loggingPath": "string"
3335 },
3336 "startSpeakingPlan": {
3337 "waitSeconds": 0.4,
3338 "smartEndpointingEnabled": false,
3339 "smartEndpointingPlan": {
3340 "provider": "vapi"
3341 },
3342 "customEndpointingRules": [
3343 {
3344 "type": "assistant",
3345 "regex": "string",
3346 "regexOptions": [
3347 {
3348 "type": "ignore-case",
3349 "enabled": true
3350 }
3351 ],
3352 "timeoutSeconds": 1.1
3353 }
3354 ],
3355 "transcriptionEndpointingPlan": {
3356 "onPunctuationSeconds": 0.1,
3357 "onNoPunctuationSeconds": 1.5,
3358 "onNumberSeconds": 0.5
3359 }
3360 },
3361 "stopSpeakingPlan": {
3362 "numWords": 0,
3363 "voiceSeconds": 0.2,
3364 "backoffSeconds": 1,
3365 "acknowledgementPhrases": [
3366 "i understand",
3367 "i see",
3368 "i got it",
3369 "i hear you",
3370 "im listening",
3371 "im with you",
3372 "right",
3373 "okay",
3374 "ok",
3375 "sure",
3376 "alright",
3377 "got it",
3378 "understood",
3379 "yeah",
3380 "yes",
3381 "uh-huh",
3382 "mm-hmm",
3383 "gotcha",
3384 "mhmm",
3385 "ah",
3386 "yeah okay",
3387 "yeah sure"
3388 ],
3389 "interruptionPhrases": [
3390 "stop",
3391 "shut",
3392 "up",
3393 "enough",
3394 "quiet",
3395 "silence",
3396 "but",
3397 "dont",
3398 "not",
3399 "no",
3400 "hold",
3401 "wait",
3402 "cut",
3403 "pause",
3404 "nope",
3405 "nah",
3406 "nevermind",
3407 "never",
3408 "bad",
3409 "actually"
3410 ]
3411 },
3412 "monitorPlan": {
3413 "listenEnabled": false,
3414 "listenAuthenticationEnabled": false,
3415 "controlEnabled": false,
3416 "controlAuthenticationEnabled": false,
3417 "monitorIds": [
3418 "123e4567-e89b-12d3-a456-426614174000"
3419 ]
3420 },
3421 "credentialIds": [
3422 "string"
3423 ],
3424 "server": {
3425 "timeoutSeconds": 20,
3426 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
3427 "staticIpAddressesEnabled": false,
3428 "encryptedPaths": [
3429 "string"
3430 ],
3431 "url": "string",
3432 "headers": {},
3433 "backoffPlan": {
3434 "type": "fixed",
3435 "maxRetries": 0,
3436 "baseDelaySeconds": 1,
3437 "excludedStatusCodes": [
3438 400,
3439 401,
3440 403,
3441 404
3442 ]
3443 }
3444 },
3445 "keypadInputPlan": {
3446 "enabled": true,
3447 "timeoutSeconds": 1.1,
3448 "delimiters": "#"
3449 }
3450 },
3451 "squadId": "string",
3452 "squad": {
3453 "name": "string",
3454 "members": [
3455 {
3456 "assistantDestinations": [
3457 {
3458 "message": "string",
3459 "type": "assistant",
3460 "transferMode": "rolling-history",
3461 "assistantName": "string",
3462 "description": "string"
3463 }
3464 ],
3465 "assistantId": "string",
3466 "assistant": {
3467 "transcriber": {
3468 "provider": "assembly-ai",
3469 "language": "multi",
3470 "confidenceThreshold": 0.4,
3471 "formatTurns": true,
3472 "endOfTurnConfidenceThreshold": 0.7,
3473 "minEndOfTurnSilenceWhenConfident": 160,
3474 "wordFinalizationMaxWaitTime": 160,
3475 "maxTurnSilence": 400,
3476 "vadAssistedEndpointingEnabled": true,
3477 "speechModel": "universal-streaming-english",
3478 "realtimeUrl": "string",
3479 "wordBoost": [
3480 "string"
3481 ],
3482 "keytermsPrompt": [
3483 "string"
3484 ],
3485 "endUtteranceSilenceThreshold": 1.1,
3486 "disablePartialTranscripts": true,
3487 "fallbackPlan": {
3488 "transcribers": [
3489 {
3490 "provider": "assembly-ai",
3491 "language": "multi",
3492 "confidenceThreshold": 0.4,
3493 "formatTurns": true,
3494 "endOfTurnConfidenceThreshold": 0.7,
3495 "minEndOfTurnSilenceWhenConfident": 160,
3496 "wordFinalizationMaxWaitTime": 160,
3497 "maxTurnSilence": 400,
3498 "vadAssistedEndpointingEnabled": true,
3499 "speechModel": "universal-streaming-english",
3500 "realtimeUrl": "string",
3501 "wordBoost": [
3502 "string"
3503 ],
3504 "keytermsPrompt": [
3505 "string"
3506 ],
3507 "endUtteranceSilenceThreshold": 1.1,
3508 "disablePartialTranscripts": true
3509 }
3510 ]
3511 }
3512 },
3513 "model": {
3514 "messages": [
3515 {
3516 "content": "string",
3517 "role": "assistant"
3518 }
3519 ],
3520 "tools": [
3521 {
3522 "messages": [
3523 {
3524 "contents": [
3525 {
3526 "type": {},
3527 "text": {},
3528 "language": {}
3529 }
3530 ],
3531 "type": "request-start",
3532 "blocking": false,
3533 "content": "string",
3534 "conditions": [
3535 {
3536 "operator": "eq",
3537 "param": "string",
3538 "value": "string"
3539 }
3540 ]
3541 }
3542 ],
3543 "type": "apiRequest",
3544 "method": "POST",
3545 "timeoutSeconds": 20,
3546 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
3547 "encryptedPaths": [
3548 "string"
3549 ],
3550 "parameters": [
3551 {
3552 "key": "string",
3553 "value": {}
3554 }
3555 ],
3556 "name": "string",
3557 "description": "string",
3558 "url": "string",
3559 "body": {
3560 "type": "string",
3561 "items": {
3562 "type": "string",
3563 "items": {
3564 "type": "string",
3565 "items": {
3566 "type": {},
3567 "items": {},
3568 "properties": {},
3569 "description": {},
3570 "pattern": {},
3571 "format": {},
3572 "required": {},
3573 "enum": {},
3574 "title": {}
3575 },
3576 "properties": {},
3577 "description": "string",
3578 "pattern": "string",
3579 "format": "date-time",
3580 "required": [
3581 "string"
3582 ],
3583 "enum": [
3584 "string"
3585 ],
3586 "title": "string"
3587 },
3588 "properties": {},
3589 "description": "string",
3590 "pattern": "string",
3591 "format": "date-time",
3592 "required": [
3593 "string"
3594 ],
3595 "enum": [
3596 "string"
3597 ],
3598 "title": "string"
3599 },
3600 "properties": {},
3601 "description": "string",
3602 "pattern": "string",
3603 "format": "date-time",
3604 "required": [
3605 "string"
3606 ],
3607 "enum": [
3608 "string"
3609 ],
3610 "title": "string"
3611 },
3612 "headers": {
3613 "type": "string",
3614 "items": {
3615 "type": "string",
3616 "items": {
3617 "type": "string",
3618 "items": {
3619 "type": {},
3620 "items": {},
3621 "properties": {},
3622 "description": {},
3623 "pattern": {},
3624 "format": {},
3625 "required": {},
3626 "enum": {},
3627 "title": {}
3628 },
3629 "properties": {},
3630 "description": "string",
3631 "pattern": "string",
3632 "format": "date-time",
3633 "required": [
3634 "string"
3635 ],
3636 "enum": [
3637 "string"
3638 ],
3639 "title": "string"
3640 },
3641 "properties": {},
3642 "description": "string",
3643 "pattern": "string",
3644 "format": "date-time",
3645 "required": [
3646 "string"
3647 ],
3648 "enum": [
3649 "string"
3650 ],
3651 "title": "string"
3652 },
3653 "properties": {},
3654 "description": "string",
3655 "pattern": "string",
3656 "format": "date-time",
3657 "required": [
3658 "string"
3659 ],
3660 "enum": [
3661 "string"
3662 ],
3663 "title": "string"
3664 },
3665 "backoffPlan": {
3666 "type": "fixed",
3667 "maxRetries": 0,
3668 "baseDelaySeconds": 1,
3669 "excludedStatusCodes": [
3670 400,
3671 401,
3672 403,
3673 404
3674 ]
3675 },
3676 "variableExtractionPlan": {
3677 "schema": {
3678 "type": "string",
3679 "items": {
3680 "type": "string",
3681 "items": {
3682 "type": {},
3683 "items": {},
3684 "properties": {},
3685 "description": {},
3686 "pattern": {},
3687 "format": {},
3688 "required": {},
3689 "enum": {},
3690 "title": {}
3691 },
3692 "properties": {},
3693 "description": "string",
3694 "pattern": "string",
3695 "format": "date-time",
3696 "required": [
3697 "string"
3698 ],
3699 "enum": [
3700 "string"
3701 ],
3702 "title": "string"
3703 },
3704 "properties": {},
3705 "description": "string",
3706 "pattern": "string",
3707 "format": "date-time",
3708 "required": [
3709 "string"
3710 ],
3711 "enum": [
3712 "string"
3713 ],
3714 "title": "string"
3715 },
3716 "aliases": [
3717 {
3718 "key": "string",
3719 "value": "string"
3720 }
3721 ]
3722 },
3723 "rejectionPlan": {
3724 "conditions": [
3725 {
3726 "type": "regex",
3727 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
3728 }
3729 ]
3730 }
3731 }
3732 ],
3733 "toolIds": [
3734 "string"
3735 ],
3736 "knowledgeBase": {
3737 "provider": "custom-knowledge-base",
3738 "server": {
3739 "timeoutSeconds": 20,
3740 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
3741 "staticIpAddressesEnabled": false,
3742 "encryptedPaths": [
3743 "string"
3744 ],
3745 "url": "string",
3746 "headers": {},
3747 "backoffPlan": {
3748 "type": "fixed",
3749 "maxRetries": 0,
3750 "baseDelaySeconds": 1,
3751 "excludedStatusCodes": [
3752 400,
3753 401,
3754 403,
3755 404
3756 ]
3757 }
3758 }
3759 },
3760 "model": "claude-3-opus-20240229",
3761 "provider": "anthropic",
3762 "thinking": {
3763 "type": "enabled",
3764 "budgetTokens": 50500
3765 },
3766 "temperature": 1.1,
3767 "maxTokens": 5030,
3768 "emotionRecognitionEnabled": true,
3769 "numFastTurns": 1.1
3770 },
3771 "voice": {
3772 "cachingEnabled": true,
3773 "provider": "azure",
3774 "voiceId": "andrew",
3775 "chunkPlan": {
3776 "enabled": true,
3777 "minCharacters": 30,
3778 "punctuationBoundaries": "。",
3779 "formatPlan": {
3780 "enabled": true,
3781 "numberToDigitsCutoff": 2025,
3782 "replacements": [
3783 {
3784 "type": "exact",
3785 "replaceAllEnabled": false,
3786 "key": "string",
3787 "value": "string"
3788 }
3789 ],
3790 "formattersEnabled": "markdown"
3791 }
3792 },
3793 "speed": 1.1,
3794 "fallbackPlan": {
3795 "voices": [
3796 {
3797 "cachingEnabled": true,
3798 "provider": "azure",
3799 "voiceId": "andrew",
3800 "speed": 1.1,
3801 "chunkPlan": {
3802 "enabled": true,
3803 "minCharacters": 30,
3804 "punctuationBoundaries": "。",
3805 "formatPlan": {
3806 "enabled": true,
3807 "numberToDigitsCutoff": 2025,
3808 "replacements": [
3809 {}
3810 ],
3811 "formattersEnabled": "markdown"
3812 }
3813 },
3814 "oneOf": null
3815 }
3816 ]
3817 }
3818 },
3819 "firstMessage": "Hello! How can I help you today?",
3820 "firstMessageInterruptionsEnabled": false,
3821 "firstMessageMode": "assistant-speaks-first",
3822 "voicemailDetection": "off",
3823 "clientMessages": "conversation-update",
3824 "serverMessages": "assistant.started",
3825 "maxDurationSeconds": 600,
3826 "backgroundSound": "off",
3827 "modelOutputInMessagesEnabled": false,
3828 "transportConfigurations": [
3829 {
3830 "provider": "twilio",
3831 "timeout": 60,
3832 "record": false,
3833 "recordingChannels": "mono"
3834 }
3835 ],
3836 "observabilityPlan": {
3837 "provider": "langfuse",
3838 "promptName": "string",
3839 "promptVersion": 1.1,
3840 "traceName": "string",
3841 "tags": [
3842 "string"
3843 ],
3844 "metadata": {}
3845 },
3846 "credentials": [
3847 {
3848 "provider": "anthropic",
3849 "apiKey": "string",
3850 "name": "string"
3851 }
3852 ],
3853 "hooks": [
3854 {
3855 "on": "call.ending",
3856 "do": [
3857 {
3858 "type": "tool",
3859 "tool": {
3860 "messages": [
3861 {
3862 "contents": {},
3863 "type": {},
3864 "blocking": false,
3865 "content": {},
3866 "conditions": {}
3867 }
3868 ],
3869 "type": "apiRequest",
3870 "method": "POST",
3871 "timeoutSeconds": 20,
3872 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
3873 "encryptedPaths": [
3874 "string"
3875 ],
3876 "parameters": [
3877 {
3878 "key": "string",
3879 "value": {}
3880 }
3881 ],
3882 "name": "string",
3883 "description": "string",
3884 "url": "string",
3885 "body": {
3886 "type": "string",
3887 "items": {
3888 "type": {},
3889 "items": {},
3890 "properties": {},
3891 "description": {},
3892 "pattern": {},
3893 "format": {},
3894 "required": {},
3895 "enum": {},
3896 "title": {}
3897 },
3898 "properties": {},
3899 "description": "string",
3900 "pattern": "string",
3901 "format": "date-time",
3902 "required": [
3903 "string"
3904 ],
3905 "enum": [
3906 "string"
3907 ],
3908 "title": "string"
3909 },
3910 "headers": {
3911 "type": "string",
3912 "items": {
3913 "type": {},
3914 "items": {},
3915 "properties": {},
3916 "description": {},
3917 "pattern": {},
3918 "format": {},
3919 "required": {},
3920 "enum": {},
3921 "title": {}
3922 },
3923 "properties": {},
3924 "description": "string",
3925 "pattern": "string",
3926 "format": "date-time",
3927 "required": [
3928 "string"
3929 ],
3930 "enum": [
3931 "string"
3932 ],
3933 "title": "string"
3934 },
3935 "backoffPlan": {
3936 "type": "fixed",
3937 "maxRetries": 0,
3938 "baseDelaySeconds": 1,
3939 "excludedStatusCodes": [
3940 400,
3941 401,
3942 403,
3943 404
3944 ]
3945 },
3946 "variableExtractionPlan": {
3947 "schema": {
3948 "type": {},
3949 "items": {},
3950 "properties": {},
3951 "description": {},
3952 "pattern": {},
3953 "format": {},
3954 "required": {},
3955 "enum": {},
3956 "title": {}
3957 },
3958 "aliases": [
3959 {
3960 "key": {},
3961 "value": {}
3962 }
3963 ]
3964 },
3965 "rejectionPlan": {
3966 "conditions": [
3967 "[{ type: \"regex\", regex: \"(?i)\\\\b(cancel|stop)\\\\b\", target: { role: \"user\" } }]"
3968 ]
3969 }
3970 },
3971 "toolId": "string"
3972 }
3973 ],
3974 "filters": [
3975 {
3976 "type": "oneOf",
3977 "key": "string",
3978 "oneOf": [
3979 "string"
3980 ]
3981 }
3982 ]
3983 }
3984 ],
3985 "name": "string",
3986 "voicemailMessage": "string",
3987 "endCallMessage": "string",
3988 "endCallPhrases": [
3989 "string"
3990 ],
3991 "compliancePlan": {
3992 "hipaaEnabled": true,
3993 "pciEnabled": {
3994 "pciEnabled": false
3995 },
3996 "securityFilterPlan": {
3997 "enabled": false,
3998 "filters": [
3999 {}
4000 ],
4001 "mode": "sanitize",
4002 "replacementText": "[FILTERED]"
4003 },
4004 "recordingConsentPlan": {
4005 "message": "For quality purposes, this call may be recorded. Please stay on the line if you agree or end the call if you do not consent.",
4006 "voice": {
4007 "cachingEnabled": true,
4008 "provider": "azure",
4009 "voiceId": "andrew",
4010 "chunkPlan": {
4011 "enabled": true,
4012 "minCharacters": 30,
4013 "punctuationBoundaries": "。",
4014 "formatPlan": {
4015 "enabled": true,
4016 "numberToDigitsCutoff": 2025,
4017 "replacements": [
4018 {}
4019 ],
4020 "formattersEnabled": "markdown"
4021 }
4022 },
4023 "speed": 1.1,
4024 "fallbackPlan": {
4025 "voices": [
4026 {
4027 "cachingEnabled": true,
4028 "provider": {},
4029 "voiceId": {},
4030 "speed": {},
4031 "chunkPlan": {},
4032 "oneOf": {}
4033 }
4034 ]
4035 }
4036 },
4037 "type": "stay-on-line",
4038 "waitSeconds": 3
4039 }
4040 },
4041 "metadata": {},
4042 "backgroundSpeechDenoisingPlan": {
4043 "smartDenoisingPlan": {
4044 "enabled": true
4045 },
4046 "fourierDenoisingPlan": {
4047 "enabled": false,
4048 "mediaDetectionEnabled": true,
4049 "staticThreshold": -35,
4050 "baselineOffsetDb": -15,
4051 "windowSizeMs": 3000,
4052 "baselinePercentile": 85
4053 }
4054 },
4055 "analysisPlan": {
4056 "minMessagesThreshold": 1.1,
4057 "summaryPlan": {
4058 "messages": [
4059 {}
4060 ],
4061 "enabled": true,
4062 "timeoutSeconds": 1.1
4063 },
4064 "structuredDataPlan": {
4065 "messages": [
4066 {}
4067 ],
4068 "enabled": true,
4069 "schema": {
4070 "type": "string",
4071 "items": {
4072 "type": "string",
4073 "items": {
4074 "type": "string",
4075 "items": {
4076 "type": "string",
4077 "items": {
4078 "type": "string",
4079 "items": {
4080 "type": {},
4081 "items": {},
4082 "properties": {},
4083 "description": {},
4084 "pattern": {},
4085 "format": {},
4086 "required": {},
4087 "enum": {},
4088 "title": {}
4089 },
4090 "properties": {},
4091 "description": "string",
4092 "pattern": "string",
4093 "format": "date-time",
4094 "required": [
4095 "string"
4096 ],
4097 "enum": [
4098 "string"
4099 ],
4100 "title": "string"
4101 },
4102 "properties": {},
4103 "description": "string",
4104 "pattern": "string",
4105 "format": "date-time",
4106 "required": [
4107 "string"
4108 ],
4109 "enum": [
4110 "string"
4111 ],
4112 "title": "string"
4113 },
4114 "properties": {},
4115 "description": "string",
4116 "pattern": "string",
4117 "format": "date-time",
4118 "required": [
4119 "string"
4120 ],
4121 "enum": [
4122 "string"
4123 ],
4124 "title": "string"
4125 },
4126 "properties": {},
4127 "description": "string",
4128 "pattern": "string",
4129 "format": "date-time",
4130 "required": [
4131 "string"
4132 ],
4133 "enum": [
4134 "string"
4135 ],
4136 "title": "string"
4137 },
4138 "properties": {},
4139 "description": "string",
4140 "pattern": "string",
4141 "format": "date-time",
4142 "required": [
4143 "string"
4144 ],
4145 "enum": [
4146 "string"
4147 ],
4148 "title": "string"
4149 },
4150 "timeoutSeconds": 1.1
4151 },
4152 "structuredDataMultiPlan": [
4153 {
4154 "key": "string",
4155 "plan": {
4156 "messages": [
4157 {}
4158 ],
4159 "enabled": true,
4160 "schema": {
4161 "type": "string",
4162 "items": {
4163 "type": "string",
4164 "items": {
4165 "type": "string",
4166 "items": {
4167 "type": "string",
4168 "items": {
4169 "type": {},
4170 "items": {},
4171 "properties": {},
4172 "description": {},
4173 "pattern": {},
4174 "format": {},
4175 "required": {},
4176 "enum": {},
4177 "title": {}
4178 },
4179 "properties": {},
4180 "description": "string",
4181 "pattern": "string",
4182 "format": "date-time",
4183 "required": [
4184 "string"
4185 ],
4186 "enum": [
4187 "string"
4188 ],
4189 "title": "string"
4190 },
4191 "properties": {},
4192 "description": "string",
4193 "pattern": "string",
4194 "format": "date-time",
4195 "required": [
4196 "string"
4197 ],
4198 "enum": [
4199 "string"
4200 ],
4201 "title": "string"
4202 },
4203 "properties": {},
4204 "description": "string",
4205 "pattern": "string",
4206 "format": "date-time",
4207 "required": [
4208 "string"
4209 ],
4210 "enum": [
4211 "string"
4212 ],
4213 "title": "string"
4214 },
4215 "properties": {},
4216 "description": "string",
4217 "pattern": "string",
4218 "format": "date-time",
4219 "required": [
4220 "string"
4221 ],
4222 "enum": [
4223 "string"
4224 ],
4225 "title": "string"
4226 },
4227 "timeoutSeconds": 1.1
4228 }
4229 }
4230 ],
4231 "successEvaluationPlan": {
4232 "rubric": "NumericScale",
4233 "messages": [
4234 {}
4235 ],
4236 "enabled": true,
4237 "timeoutSeconds": 1.1
4238 },
4239 "outcomeIds": [
4240 "string"
4241 ]
4242 },
4243 "artifactPlan": {
4244 "recordingEnabled": true,
4245 "recordingFormat": "wav;l16",
4246 "recordingUseCustomStorageEnabled": true,
4247 "videoRecordingEnabled": false,
4248 "fullMessageHistoryEnabled": false,
4249 "pcapEnabled": true,
4250 "pcapS3PathPrefix": "/pcaps",
4251 "pcapUseCustomStorageEnabled": true,
4252 "loggingEnabled": true,
4253 "loggingUseCustomStorageEnabled": true,
4254 "transcriptPlan": {
4255 "enabled": true,
4256 "assistantName": "string",
4257 "userName": "string"
4258 },
4259 "recordingPath": "string",
4260 "structuredOutputIds": [
4261 "string"
4262 ],
4263 "structuredOutputs": [
4264 {
4265 "type": "ai",
4266 "regex": "string",
4267 "model": {
4268 "provider": "openai",
4269 "model": "gpt-5.4",
4270 "temperature": 1.1,
4271 "maxTokens": 5030
4272 },
4273 "compliancePlan": {
4274 "forceStoreOnHipaaEnabled": false
4275 },
4276 "name": "string",
4277 "schema": {
4278 "type": "string",
4279 "items": {
4280 "type": "string",
4281 "items": {
4282 "type": "string",
4283 "items": {
4284 "type": "string",
4285 "items": {
4286 "type": "string",
4287 "items": {
4288 "type": {},
4289 "items": {},
4290 "properties": {},
4291 "description": {},
4292 "pattern": {},
4293 "format": {},
4294 "required": {},
4295 "enum": {},
4296 "title": {}
4297 },
4298 "properties": {},
4299 "description": "string",
4300 "pattern": "string",
4301 "format": "date-time",
4302 "required": [
4303 "string"
4304 ],
4305 "enum": [
4306 "string"
4307 ],
4308 "title": "string"
4309 },
4310 "properties": {},
4311 "description": "string",
4312 "pattern": "string",
4313 "format": "date-time",
4314 "required": [
4315 "string"
4316 ],
4317 "enum": [
4318 "string"
4319 ],
4320 "title": "string"
4321 },
4322 "properties": {},
4323 "description": "string",
4324 "pattern": "string",
4325 "format": "date-time",
4326 "required": [
4327 "string"
4328 ],
4329 "enum": [
4330 "string"
4331 ],
4332 "title": "string"
4333 },
4334 "properties": {},
4335 "description": "string",
4336 "pattern": "string",
4337 "format": "date-time",
4338 "required": [
4339 "string"
4340 ],
4341 "enum": [
4342 "string"
4343 ],
4344 "title": "string"
4345 },
4346 "properties": {},
4347 "description": "string",
4348 "pattern": "string",
4349 "format": "date-time",
4350 "required": [
4351 "string"
4352 ],
4353 "enum": [
4354 "string"
4355 ],
4356 "title": "string"
4357 },
4358 "description": "string",
4359 "assistantIds": [
4360 "string"
4361 ],
4362 "workflowIds": [
4363 "string"
4364 ]
4365 }
4366 ],
4367 "scorecardIds": [
4368 "string"
4369 ],
4370 "scorecards": [
4371 {
4372 "name": "string",
4373 "description": "string",
4374 "metrics": [
4375 {
4376 "structuredOutputId": "string",
4377 "conditions": [
4378 {}
4379 ]
4380 }
4381 ],
4382 "assistantIds": [
4383 "string"
4384 ]
4385 }
4386 ],
4387 "loggingPath": "string"
4388 },
4389 "startSpeakingPlan": {
4390 "waitSeconds": 0.4,
4391 "smartEndpointingEnabled": false,
4392 "smartEndpointingPlan": {
4393 "provider": "vapi"
4394 },
4395 "customEndpointingRules": [
4396 {
4397 "type": "assistant",
4398 "regex": "string",
4399 "regexOptions": [
4400 {
4401 "type": "ignore-case",
4402 "enabled": true
4403 }
4404 ],
4405 "timeoutSeconds": 1.1
4406 }
4407 ],
4408 "transcriptionEndpointingPlan": {
4409 "onPunctuationSeconds": 0.1,
4410 "onNoPunctuationSeconds": 1.5,
4411 "onNumberSeconds": 0.5
4412 }
4413 },
4414 "stopSpeakingPlan": {
4415 "numWords": 0,
4416 "voiceSeconds": 0.2,
4417 "backoffSeconds": 1,
4418 "acknowledgementPhrases": [
4419 "i understand",
4420 "i see",
4421 "i got it",
4422 "i hear you",
4423 "im listening",
4424 "im with you",
4425 "right",
4426 "okay",
4427 "ok",
4428 "sure",
4429 "alright",
4430 "got it",
4431 "understood",
4432 "yeah",
4433 "yes",
4434 "uh-huh",
4435 "mm-hmm",
4436 "gotcha",
4437 "mhmm",
4438 "ah",
4439 "yeah okay",
4440 "yeah sure"
4441 ],
4442 "interruptionPhrases": [
4443 "stop",
4444 "shut",
4445 "up",
4446 "enough",
4447 "quiet",
4448 "silence",
4449 "but",
4450 "dont",
4451 "not",
4452 "no",
4453 "hold",
4454 "wait",
4455 "cut",
4456 "pause",
4457 "nope",
4458 "nah",
4459 "nevermind",
4460 "never",
4461 "bad",
4462 "actually"
4463 ]
4464 },
4465 "monitorPlan": {
4466 "listenEnabled": false,
4467 "listenAuthenticationEnabled": false,
4468 "controlEnabled": false,
4469 "controlAuthenticationEnabled": false,
4470 "monitorIds": [
4471 "123e4567-e89b-12d3-a456-426614174000"
4472 ]
4473 },
4474 "credentialIds": [
4475 "string"
4476 ],
4477 "server": {
4478 "timeoutSeconds": 20,
4479 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
4480 "staticIpAddressesEnabled": false,
4481 "encryptedPaths": [
4482 "string"
4483 ],
4484 "url": "string",
4485 "headers": {},
4486 "backoffPlan": {
4487 "type": "fixed",
4488 "maxRetries": 0,
4489 "baseDelaySeconds": 1,
4490 "excludedStatusCodes": [
4491 400,
4492 401,
4493 403,
4494 404
4495 ]
4496 }
4497 },
4498 "keypadInputPlan": {
4499 "enabled": true,
4500 "timeoutSeconds": 1.1,
4501 "delimiters": "#"
4502 }
4503 },
4504 "assistantOverrides": {
4505 "transcriber": {
4506 "provider": "assembly-ai",
4507 "language": "multi",
4508 "confidenceThreshold": 0.4,
4509 "formatTurns": true,
4510 "endOfTurnConfidenceThreshold": 0.7,
4511 "minEndOfTurnSilenceWhenConfident": 160,
4512 "wordFinalizationMaxWaitTime": 160,
4513 "maxTurnSilence": 400,
4514 "vadAssistedEndpointingEnabled": true,
4515 "speechModel": "universal-streaming-english",
4516 "realtimeUrl": "string",
4517 "wordBoost": [
4518 "string"
4519 ],
4520 "keytermsPrompt": [
4521 "string"
4522 ],
4523 "endUtteranceSilenceThreshold": 1.1,
4524 "disablePartialTranscripts": true,
4525 "fallbackPlan": {
4526 "transcribers": [
4527 {
4528 "provider": "assembly-ai",
4529 "language": "multi",
4530 "confidenceThreshold": 0.4,
4531 "formatTurns": true,
4532 "endOfTurnConfidenceThreshold": 0.7,
4533 "minEndOfTurnSilenceWhenConfident": 160,
4534 "wordFinalizationMaxWaitTime": 160,
4535 "maxTurnSilence": 400,
4536 "vadAssistedEndpointingEnabled": true,
4537 "speechModel": "universal-streaming-english",
4538 "realtimeUrl": "string",
4539 "wordBoost": [
4540 "string"
4541 ],
4542 "keytermsPrompt": [
4543 "string"
4544 ],
4545 "endUtteranceSilenceThreshold": 1.1,
4546 "disablePartialTranscripts": true
4547 }
4548 ]
4549 }
4550 },
4551 "model": {
4552 "messages": [
4553 {
4554 "content": "string",
4555 "role": "assistant"
4556 }
4557 ],
4558 "tools": [
4559 {
4560 "messages": [
4561 {
4562 "contents": [
4563 {
4564 "type": {},
4565 "text": {},
4566 "language": {}
4567 }
4568 ],
4569 "type": "request-start",
4570 "blocking": false,
4571 "content": "string",
4572 "conditions": [
4573 {
4574 "operator": "eq",
4575 "param": "string",
4576 "value": "string"
4577 }
4578 ]
4579 }
4580 ],
4581 "type": "apiRequest",
4582 "method": "POST",
4583 "timeoutSeconds": 20,
4584 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
4585 "encryptedPaths": [
4586 "string"
4587 ],
4588 "parameters": [
4589 {
4590 "key": "string",
4591 "value": {}
4592 }
4593 ],
4594 "name": "string",
4595 "description": "string",
4596 "url": "string",
4597 "body": {
4598 "type": "string",
4599 "items": {
4600 "type": "string",
4601 "items": {
4602 "type": "string",
4603 "items": {
4604 "type": {},
4605 "items": {},
4606 "properties": {},
4607 "description": {},
4608 "pattern": {},
4609 "format": {},
4610 "required": {},
4611 "enum": {},
4612 "title": {}
4613 },
4614 "properties": {},
4615 "description": "string",
4616 "pattern": "string",
4617 "format": "date-time",
4618 "required": [
4619 "string"
4620 ],
4621 "enum": [
4622 "string"
4623 ],
4624 "title": "string"
4625 },
4626 "properties": {},
4627 "description": "string",
4628 "pattern": "string",
4629 "format": "date-time",
4630 "required": [
4631 "string"
4632 ],
4633 "enum": [
4634 "string"
4635 ],
4636 "title": "string"
4637 },
4638 "properties": {},
4639 "description": "string",
4640 "pattern": "string",
4641 "format": "date-time",
4642 "required": [
4643 "string"
4644 ],
4645 "enum": [
4646 "string"
4647 ],
4648 "title": "string"
4649 },
4650 "headers": {
4651 "type": "string",
4652 "items": {
4653 "type": "string",
4654 "items": {
4655 "type": "string",
4656 "items": {
4657 "type": {},
4658 "items": {},
4659 "properties": {},
4660 "description": {},
4661 "pattern": {},
4662 "format": {},
4663 "required": {},
4664 "enum": {},
4665 "title": {}
4666 },
4667 "properties": {},
4668 "description": "string",
4669 "pattern": "string",
4670 "format": "date-time",
4671 "required": [
4672 "string"
4673 ],
4674 "enum": [
4675 "string"
4676 ],
4677 "title": "string"
4678 },
4679 "properties": {},
4680 "description": "string",
4681 "pattern": "string",
4682 "format": "date-time",
4683 "required": [
4684 "string"
4685 ],
4686 "enum": [
4687 "string"
4688 ],
4689 "title": "string"
4690 },
4691 "properties": {},
4692 "description": "string",
4693 "pattern": "string",
4694 "format": "date-time",
4695 "required": [
4696 "string"
4697 ],
4698 "enum": [
4699 "string"
4700 ],
4701 "title": "string"
4702 },
4703 "backoffPlan": {
4704 "type": "fixed",
4705 "maxRetries": 0,
4706 "baseDelaySeconds": 1,
4707 "excludedStatusCodes": [
4708 400,
4709 401,
4710 403,
4711 404
4712 ]
4713 },
4714 "variableExtractionPlan": {
4715 "schema": {
4716 "type": "string",
4717 "items": {
4718 "type": "string",
4719 "items": {
4720 "type": {},
4721 "items": {},
4722 "properties": {},
4723 "description": {},
4724 "pattern": {},
4725 "format": {},
4726 "required": {},
4727 "enum": {},
4728 "title": {}
4729 },
4730 "properties": {},
4731 "description": "string",
4732 "pattern": "string",
4733 "format": "date-time",
4734 "required": [
4735 "string"
4736 ],
4737 "enum": [
4738 "string"
4739 ],
4740 "title": "string"
4741 },
4742 "properties": {},
4743 "description": "string",
4744 "pattern": "string",
4745 "format": "date-time",
4746 "required": [
4747 "string"
4748 ],
4749 "enum": [
4750 "string"
4751 ],
4752 "title": "string"
4753 },
4754 "aliases": [
4755 {
4756 "key": "string",
4757 "value": "string"
4758 }
4759 ]
4760 },
4761 "rejectionPlan": {
4762 "conditions": [
4763 {
4764 "type": "regex",
4765 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
4766 }
4767 ]
4768 }
4769 }
4770 ],
4771 "toolIds": [
4772 "string"
4773 ],
4774 "knowledgeBase": {
4775 "provider": "custom-knowledge-base",
4776 "server": {
4777 "timeoutSeconds": 20,
4778 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
4779 "staticIpAddressesEnabled": false,
4780 "encryptedPaths": [
4781 "string"
4782 ],
4783 "url": "string",
4784 "headers": {},
4785 "backoffPlan": {
4786 "type": "fixed",
4787 "maxRetries": 0,
4788 "baseDelaySeconds": 1,
4789 "excludedStatusCodes": [
4790 400,
4791 401,
4792 403,
4793 404
4794 ]
4795 }
4796 }
4797 },
4798 "model": "claude-3-opus-20240229",
4799 "provider": "anthropic",
4800 "thinking": {
4801 "type": "enabled",
4802 "budgetTokens": 50500
4803 },
4804 "temperature": 1.1,
4805 "maxTokens": 5030,
4806 "emotionRecognitionEnabled": true,
4807 "numFastTurns": 1.1
4808 },
4809 "voice": {
4810 "cachingEnabled": true,
4811 "provider": "azure",
4812 "voiceId": "andrew",
4813 "chunkPlan": {
4814 "enabled": true,
4815 "minCharacters": 30,
4816 "punctuationBoundaries": "。",
4817 "formatPlan": {
4818 "enabled": true,
4819 "numberToDigitsCutoff": 2025,
4820 "replacements": [
4821 {
4822 "type": "exact",
4823 "replaceAllEnabled": false,
4824 "key": "string",
4825 "value": "string"
4826 }
4827 ],
4828 "formattersEnabled": "markdown"
4829 }
4830 },
4831 "speed": 1.1,
4832 "fallbackPlan": {
4833 "voices": [
4834 {
4835 "cachingEnabled": true,
4836 "provider": "azure",
4837 "voiceId": "andrew",
4838 "speed": 1.1,
4839 "chunkPlan": {
4840 "enabled": true,
4841 "minCharacters": 30,
4842 "punctuationBoundaries": "。",
4843 "formatPlan": {
4844 "enabled": true,
4845 "numberToDigitsCutoff": 2025,
4846 "replacements": [
4847 {}
4848 ],
4849 "formattersEnabled": "markdown"
4850 }
4851 },
4852 "oneOf": null
4853 }
4854 ]
4855 }
4856 },
4857 "firstMessage": "Hello! How can I help you today?",
4858 "firstMessageInterruptionsEnabled": false,
4859 "firstMessageMode": "assistant-speaks-first",
4860 "voicemailDetection": "off",
4861 "clientMessages": "conversation-update",
4862 "serverMessages": "assistant.started",
4863 "maxDurationSeconds": 600,
4864 "backgroundSound": "off",
4865 "modelOutputInMessagesEnabled": false,
4866 "transportConfigurations": [
4867 {
4868 "provider": "twilio",
4869 "timeout": 60,
4870 "record": false,
4871 "recordingChannels": "mono"
4872 }
4873 ],
4874 "observabilityPlan": {
4875 "provider": "langfuse",
4876 "promptName": "string",
4877 "promptVersion": 1.1,
4878 "traceName": "string",
4879 "tags": [
4880 "string"
4881 ],
4882 "metadata": {}
4883 },
4884 "credentials": [
4885 {
4886 "provider": "anthropic",
4887 "apiKey": "string",
4888 "name": "string"
4889 }
4890 ],
4891 "hooks": [
4892 {
4893 "on": "call.ending",
4894 "do": [
4895 {
4896 "type": "tool",
4897 "tool": {
4898 "messages": [
4899 {
4900 "contents": {},
4901 "type": {},
4902 "blocking": false,
4903 "content": {},
4904 "conditions": {}
4905 }
4906 ],
4907 "type": "apiRequest",
4908 "method": "POST",
4909 "timeoutSeconds": 20,
4910 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
4911 "encryptedPaths": [
4912 "string"
4913 ],
4914 "parameters": [
4915 {
4916 "key": "string",
4917 "value": {}
4918 }
4919 ],
4920 "name": "string",
4921 "description": "string",
4922 "url": "string",
4923 "body": {
4924 "type": "string",
4925 "items": {
4926 "type": {},
4927 "items": {},
4928 "properties": {},
4929 "description": {},
4930 "pattern": {},
4931 "format": {},
4932 "required": {},
4933 "enum": {},
4934 "title": {}
4935 },
4936 "properties": {},
4937 "description": "string",
4938 "pattern": "string",
4939 "format": "date-time",
4940 "required": [
4941 "string"
4942 ],
4943 "enum": [
4944 "string"
4945 ],
4946 "title": "string"
4947 },
4948 "headers": {
4949 "type": "string",
4950 "items": {
4951 "type": {},
4952 "items": {},
4953 "properties": {},
4954 "description": {},
4955 "pattern": {},
4956 "format": {},
4957 "required": {},
4958 "enum": {},
4959 "title": {}
4960 },
4961 "properties": {},
4962 "description": "string",
4963 "pattern": "string",
4964 "format": "date-time",
4965 "required": [
4966 "string"
4967 ],
4968 "enum": [
4969 "string"
4970 ],
4971 "title": "string"
4972 },
4973 "backoffPlan": {
4974 "type": "fixed",
4975 "maxRetries": 0,
4976 "baseDelaySeconds": 1,
4977 "excludedStatusCodes": [
4978 400,
4979 401,
4980 403,
4981 404
4982 ]
4983 },
4984 "variableExtractionPlan": {
4985 "schema": {
4986 "type": {},
4987 "items": {},
4988 "properties": {},
4989 "description": {},
4990 "pattern": {},
4991 "format": {},
4992 "required": {},
4993 "enum": {},
4994 "title": {}
4995 },
4996 "aliases": [
4997 {
4998 "key": {},
4999 "value": {}
5000 }
5001 ]
5002 },
5003 "rejectionPlan": {
5004 "conditions": [
5005 "[{ type: \"regex\", regex: \"(?i)\\\\b(cancel|stop)\\\\b\", target: { role: \"user\" } }]"
5006 ]
5007 }
5008 },
5009 "toolId": "string"
5010 }
5011 ],
5012 "filters": [
5013 {
5014 "type": "oneOf",
5015 "key": "string",
5016 "oneOf": [
5017 "string"
5018 ]
5019 }
5020 ]
5021 }
5022 ],
5023 "tools:append": [
5024 {
5025 "messages": [
5026 {
5027 "contents": [
5028 {
5029 "type": "text",
5030 "text": "string",
5031 "language": "aa"
5032 }
5033 ],
5034 "type": "request-start",
5035 "blocking": false,
5036 "content": "string",
5037 "conditions": [
5038 {
5039 "operator": "eq",
5040 "param": "string",
5041 "value": "string"
5042 }
5043 ]
5044 }
5045 ],
5046 "type": "apiRequest",
5047 "method": "POST",
5048 "timeoutSeconds": 20,
5049 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
5050 "encryptedPaths": [
5051 "string"
5052 ],
5053 "parameters": [
5054 {
5055 "key": "string",
5056 "value": {}
5057 }
5058 ],
5059 "name": "string",
5060 "description": "string",
5061 "url": "string",
5062 "body": {
5063 "type": "string",
5064 "items": {
5065 "type": "string",
5066 "items": {
5067 "type": "string",
5068 "items": {
5069 "type": "string",
5070 "items": {
5071 "type": "string",
5072 "items": {
5073 "type": {},
5074 "items": {},
[...]
